2016-04-15  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20160415-0ubuntu1

2016-04-15  Andrea Azzarone  <azzaronea@gmail.com>

	Do not use pointers to LazyLoadTextures. Fixes: #1569100
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2016-04-15  Andrea Azzarone  <azzaronea@gmail.com>

	Do not use pointers to LazyLoadTextures.

2016-04-15  Andrea Azzarone  <azzaronea@gmail.com>

	Fix unity script crash. Fixes: #1566565
	Approved by: Marco Trevisan (Treviño)

2016-04-08  Andrea Azzarone  <azzaronea@gmail.com>

	Fix unity script crash.

2016-04-15  Andrea Azzarone  <azzaronea@gmail.com>

	unityshell.xml: Fix typo Fixes: #1559427
	Approved by: Marco Trevisan (Treviño)

2016-04-05  Andrea Azzarone  <azzaronea@gmail.com>

	Fix typo.

2016-04-15  Andrea Azzarone  <azzaronea@gmail.com>

	LockscreenController: Don't use SetActivate(False) for gnome-screensaver to prevent unlocking on tty switch.
	It will not only deactivate the screensaver but also unlock the screen. Fixes: #1552537
	Approved by: Marco Trevisan (Treviño)

2016-04-05  Andrea Azzarone  <azzaronea@gmail.com>

	Add comment.

2016-04-05  Andrea Azzarone  <azzaronea@gmail.com>

	Don't call SetActive only if activate is FALSE.

2016-04-05  Andrea Azzarone  <azzaronea@gmail.com>

	Don't use SetActivate from gnome-screensaver as it will not only deactivate the screensaver but also unlock the escreensaver.

2016-04-01  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20160401.1-0ubuntu1

2016-04-01  Andrea Azzarone  <azzaronea@gmail.com>

	Improve the "lock on suspend" logic to always keep in sync the inhibitor with the lockscreen.
	Approved by: Marco Trevisan (Treviño)

2016-03-31  Andrea Azzarone  <azzaronea@gmail.com>

	Rename LoginManager.* to SuspendInhibitorManager.*

2016-03-31  Andrea Azzarone  <azzaronea@gmail.com>

	Refactor a bit the LoginManager login according to Marco's review.

2016-03-30  Andrea Azzarone  <azzaronea@gmail.com>

	Merge with trunk.

2016-03-18  Andrea Azzarone  <azzaronea@gmail.com>

	Improve inhibitor login for lockscreen and "lock on suspend".

2016-04-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: Just send estimated extents on _NET_REQUEST_FRAME_EXTENTS
	
	As per EWMH protocol when _NET_REQUEST_FRAME_EXTENTS we just have to send the
	client the estimation of the border. We don't have to set it on window yet.
	Let's just implement this by avoiding setting the compiz borders, as this will prevent the window
	to be moved to be fully visible once mapped. Fixes: #1368118
	Approved by: Andrea Azzarone

2016-04-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: Just send estimated extents on _NET_REQUEST_FRAME_EXTENTS
	
	As per EWMH protocol when _NET_REQUEST_FRAME_EXTENTS we just have to send the
	client the estimation of the border. We don't have to set it on window yet.
	Let's just implement this by avoiding setting the compiz borders, as this will prevent the window
	to be moved to be fully visible once mapped.

2016-04-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Unity: stop unity7 upstart instance if needed and restart it if not clearly requested Fixes: #1555633
	Approved by: Andrea Azzarone

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Unity: stop unity7 upstart instance if needed and restart it if possible

2016-04-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextureCache: add support for loading themed textures
	
	When a themed texture is requested, we add it to a list so that we can invalidate
	it on theme changes.
	
	Use themed textures in any case we load local files, falling back to the default path if
	theme doesn't provide any customized asset. Fixes: #903179, #1208790
	Approved by: Andrea Azzarone

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindowStyle: remove temporary comment

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BackgroundEffectHelper: esure we load the textures in first place and inherit from sigc::trackable to disconnect

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher, Panel, TextInput: use cache texture_invalidated to reload textures
	
	So we can remove we workaround in UnitySettings as the signal is always emitted after
	removing all the themed textures that we have.

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayRenderer: Update and reload scaled textures when style emits textures_changed signal

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BackgroundEffectHelper: reload textures on chache themed icons invalidated

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: redirect themed_invalidated signal to textures_changed, unload lazy loaded ones

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextureCache: emit a themed_invalidated signal when themed icons have been cleared

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelStyle: avoid doing unneeded computations where it could be optionally done in callbacks

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PreviewStyle: load themed textures and simplify the LazyLoader

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconLoader: add LoadFromThemedFilename and use it for emblems

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: Load the panel shadow from theme and properly scale it

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CofView: use themed texture

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconTexture: load icon at its default size when passing the maximum size value

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindowView: reload close icon on scale change

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	KylinUserPromptView: make activator icon themeable

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudController, HudLauncherIcon: use BFB themed icon

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindowView: reload textures on theme change

2016-03-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindowStyle: use theme settings for getting the textures and cleanup them on theme change
	
	Also export RawPixel's and cleanup the API a little

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionButton: make textures themeable

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudController: relayout the hud view if launcher position changed

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudView: only create the icon instance if needed
	
	This tiny icon is actually more expensive than expected, since it uses the IconRenderer
	and thus could cause reloading some textures for no gain.
	
	Also this is not visible in default configuration

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: no need to keep track of textures names/sizes anymore as we don't have to invalidate them

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: don't try reload textures on theme changes if none has ever loaded

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher, Dash, Panel, Lockscreen: properly use themed TextureCache reloading textures on theme changes

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextureCache: trust C++ optimizations and just clear all themed files together

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextureCache: use just a vector for managing themed_files_

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: use new texture cache and rename DashPosition enum to dash::Position

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextureCache: add support for loading themed textures
	
	When a themed texture is requested, we add it to a list so that we can invalidate
	it on theme changes.

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: add ability to load files with no extension and some better logging

2016-03-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashController: relayout the view on launcher position changed

2016-03-22  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20160322-0ubuntu1

2016-03-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ForceQuitDialog: set client leader

2016-03-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ForceQuitDialog: set client leader

2016-03-21  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20160321-0ubuntu1

2016-03-21  Andrea Azzarone  <azzaronea@gmail.com>

	ApplicationLauncherIcon: use the starting property to show an icon when launched Fixes: #676457

2016-03-21  Andrea Azzarone  <azzaronea@gmail.com>

	Increase MAX_STARTING_BLINKS.

2016-03-18  Andrea Azzarone  <azzaronea@gmail.com>

	Require bamf >= 0.5.3 in CmakeList.txt too.

2016-02-29  Andrea Azzarone  <azzaronea@gmail.com>

	Use bamf 5.3

2016-02-25  Andrea Azzarone  <azzaronea@gmail.com>

	Fix typo.

2016-02-25  Andrea Azzarone  <azzaronea@gmail.com>

	Merge with trunk.

2016-01-20  Andrea Azzarone  <azzaronea@gmail.com>

	Fix unwanted change.

2016-01-20  Andrea Azzarone  <azzaronea@gmail.com>

	Resync with p:~3v1n0/unity/launcher-filemanager-integration

2016-01-20  Andrea Azzarone  <azzaronea@gmail.com>

	Use new bamf starting property.

2015-12-26  Andrea Azzarone  <azzaronea@gmail.com>

	Merge with launch lp:~3v1n0/unity/launcher-filemanager-integration/

2016-03-18  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20160318-0ubuntu1

2016-03-18  handsome_feng  <445865575@qq.com>

	Dash: move it down when the launcher is positioned at the bottom. Fixes: #1552630
	Approved by: Marco Trevisan (Treviño)

2016-03-18  handsome_feng  <445865575@qq.com>

	modified a keynav AP test

2016-03-18  handsome_feng  <445865575@qq.com>

	merge lp:~feng-kylin/unity/unityshell-rotatd-kylin

2016-03-17  handsome_feng  <445865575@qq.com>

	fix nav with quicklist

2016-03-17  handsome_feng  <445865575@qq.com>

	merge trunk

2016-03-17  handsome_feng  <445865575@qq.com>

	fix the problem in tooltip

2016-03-14  handsome_feng  <445865575@qq.com>

	Revert the changes to PanelView,small change in OverlayRenderer and DashStyle, fix black edge

2016-03-11  handsome_feng  <445865575@qq.com>

	Fix some fials in hud and dash autopilot tests

2016-03-08  handsome_feng  <445865575@qq.com>

	Don't use Settings::LauncherSize() before Resize() in onMonitorChanged(), because the method there run before Settings::SetLauncherSize in unityshell.cpp

2016-03-07  handsome_feng  <445865575@qq.com>

	Disable overlay mode of panel when dash at bottom and factor type is DESKTOP

2016-03-02  handsome_feng  <445865575@qq.com>

	merge trunk

2016-02-26  handsome_feng  <445865575@qq.com>

	fix the bug that launcher  locate in the wrong position when scale changed

2016-02-25  handsome_feng  <445865575@qq.com>

	fix the bug that can't click the scope bar when maximize dash

2016-02-22  handsome_feng  <445865575@qq.com>

	changed libgee-dev to libgee-0.8-dev

2016-02-16  handsome_feng  <445865575@qq.com>

	merge trunk

2016-02-15  handsome_feng  <445865575@qq.com>

	draw the border of hud

2016-02-14  handsome_feng  <445865575@qq.com>

	draw the border of dash when at bottom

2016-02-04  handsome_feng  <445865575@qq.com>

	merged lp:~3v1n0/unity/bottom-dash-move

2016-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: use better names for dash border sizes

2016-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashView: reduce the preview container area when the dash is at the bottom

2016-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashController: set proper offsets to move dash to the bottom when launcher is there

2016-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashView: ensure that we update scaling when monitor changes
	
	Also remove some dead code

2016-02-02  handsome_feng  <445865575@qq.com>

	added the pic of dash edge

2016-02-01  handsome_feng  <445865575@qq.com>

	Merge with launcher to the bottom branch

2016-03-18  handsome_feng  <445865575@qq.com>

	Launcher: add Bottom mode, so that the launcher can be positioned horisontally Fixes: #1552630
	Approved by: Marco Trevisan (Treviño)

2016-03-18  handsome_feng  <445865575@qq.com>

	merge trunk

2016-03-11  handsome_feng  <445865575@qq.com>

	Fix some fials in hud and dash autopilot tests

2016-03-08  handsome_feng  <445865575@qq.com>

	Recalculate launcher height

2016-03-02  handsome_feng  <445865575@qq.com>

	merge trunk

2016-03-02  handsome_feng  <445865575@qq.com>

	fix the bug that launcher locate in the wrong position when scale changed

2016-02-16  handsome_feng  <445865575@qq.com>

	merge trunk

2016-01-29  handsome_feng  <445865575@qq.com>

	center the anchor of tooltip

2016-01-27  handsome_feng  <445865575@qq.com>

	center the anchor of quicklist

2016-01-12  handsome_feng  <445865575@qq.com>

	modified the x_offset for plugin 'expo' and 'scale'

2015-12-30  handsome_feng  <445865575@qq.com>

	fix the error in test_launcher.cpp

2015-12-28  handsome_feng  <445865575@qq.com>

	move the launcher-position from com.canonical.Unity to com.canonical.Unity.Launcher

2015-12-25  handsome_feng  <445865575@qq.com>

	modified something about quicklist mousearea and launcher folding icon

2015-12-23  handsome_feng  <445865575@qq.com>

	cleanups

2015-12-23  handsome_feng  <445865575@qq.com>

	merging lp:~3v1n0/unity/rotated-improvements

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: various launcher position related code cleanups

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnitySettings: fix indentation

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	EdgeBarrierController: update "vertical" barriers depending on launcher position
	
	No need to add new type of horizontal barriers

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashController: cleanup setting monitor offset

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	{Hud,BFB}LauncherIcon: don't change state with launcher in the bottom

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudController: set as not locked to launcher when launcher is on the bottom

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashController: cleanup ideal geometry codepath

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: only show rotated pips when drawing the launcher icons, not switcher

2015-12-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-12-23  handsome_feng  <445865575@qq.com>

	merge trunk

2015-12-22  handsome_feng  <445865575@qq.com>

	Added a new EdgeBarrier for launcher on the bottom

2015-12-17  handsome_feng  <445865575@qq.com>

	added rotated tooltip and quicklist, but did't show right on trash icon

2015-12-11  handsome_feng  <445865575@qq.com>

	update

2015-12-10  handsome_feng  <445865575@qq.com>

	fix some problem in autopilot

2015-12-07  handsome_feng  <445865575@qq.com>

	modified the keybindings in autopilot

2015-12-03  handsome_feng  <445865575@qq.com>

	modified the keybindings for keynav and some autopilot test.

2015-11-27  handsome_feng  <445865575@qq.com>

	modified some test, added the indicator icon, and fix some bug

2015-11-17  handsome_feng  <445865575@qq.com>

	merge trunk

2015-11-17  handsome_feng  <445865575@qq.com>

	fix some problems in launcher with draging icon and autohide

2015-11-12  handsome_feng  <445865575@qq.com>

	reset the launcher layout dynamically according to the gsettings item launcher-position

2015-11-11  handsome_feng  <445865575@qq.com>

	use launchersize instead of launcherWidth/launcherHeight

2015-11-04  handsome_feng  <445865575@qq.com>

	Added the launcher position setting in UnitySettings.

2015-09-08  handsome_feng  <445865575@qq.com>

	initial version of rotatory unityshell

2016-03-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UserPromptView: don't hide local scale property Fixes: #1551820
	Approved by: PS Jenkins bot, Andrea Azzarone

2016-03-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UserPromptView: don't hide local scale property

2016-03-18  Sebastien Bacher  <seb128@ubuntu.com>

	set the gettext domain directly in CMakeLists rather than using refering to
	the project name, the translation template is updated during the build by
	dh_translations which is not clever enough to understand the variable Fixes: #1557081
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2016-03-16  Sebastien Bacher  <seb128@ubuntu.com>

	set the gettext domain directly in CMakeLists rather than using refering to
	the project name, the translation template is updated during the build by 
	dh_translations which is not clever enough to understand the variable

2016-03-10  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20160310-0ubuntu1

2016-03-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: move the shadow under the window if we've a client-side decorated window with corners Fixes: #1516403
	Approved by: Andrea Azzarone, PS Jenkins bot

2016-03-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: expose _UNITY_SHELL atom on _NET_SUPPORTED
	
	Just a way to be sure that we're running in unity

2016-03-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: handle adding/removing supported atoms at this level

2016-03-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	inputremover: load atom just once

2016-03-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: don't try to create a frame if the window has not a parent yet
	
	We can do it when we get the CompWindowNotifyReparent event

2016-03-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: get client borders from window atom _UNITY_GTK_BORDER_RADIUS

2016-03-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merge with trunk

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: move the shadow under the window if we've a clientside decorated window with borders
	
	Something still to be fixed

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindow: draw decorations before the window itself

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: add CLIENTSIDE_DECORATED filter for WindowDecorationElements

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/switcher-dynamic-model

2016-03-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherController: add overlay shortcut to all the WindowedLauncherIcon's we have
	
	This includes device icons now.
	Approved by: Andrea Azzarone, PS Jenkins bot

2016-03-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestLauncherController: update to include device icons in shortcut ones

2016-03-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherController: add overlay shortcut to all the WindowedLauncherIcon's we have
	
	This includes device icons now.

2016-03-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowButtons: use forward declaration for FormFactor

2016-03-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashView: ensure that we update scaling when monitor changes
	
	Plus don't increase the input area by border sizes when maximized. Fixes: #1546690
	Approved by: Andrea Azzarone, PS Jenkins bot

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashController: don't increase the input area by border sizes when maximized

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashView: ensure that we update scaling when monitor changes
	
	And also use better names for dash border sizes in DashStyle

2016-03-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: add small class for reading gtk settings for theming
	
	Implemented through a new GtkUtils class which includes some functions
	and classes to handle Gtk elements.
	
	The ThemeSettings utility class allows to read settings and being notified when
	these changes. All in a single place. It also includes some methods
	
	As bonus, some improvements to the dash theming (dash-widgets.json is now
	themable and supports new scrollbars as well), and BFB icon can be overridden
	as well.
	
	More infos at: https://wiki.ubuntu.com/Unity/Theming Fixes: #1288998, #1543757
	Approved by: Andrea Azzarone, PS Jenkins bot

2016-02-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2016-02-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GtkUtils: fixed a copy&paste typo

2016-02-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationStyle: no need for virtual dtor here

2016-02-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: no need for virtual dtor here

2016-02-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	JSONParser: sanitize string handling by using glib::gchar_to_string

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: add logging and fix copyright

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconLoader: use theme settings for icon theme changes

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterBasicButton: regenerate texture on theme change

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuDropdown: rebuild texture on icon theme change

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorEntryView: use theme settings to get icon theme changes

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: get rid of the ugly custom icon theme support
	
	And of the evil and useless _current_theme_is_mono "tribool"

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: add basic support for icon theme
	
	Emits a signal when it changes, and creates the custom unity theme

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesOverlayVScrollBar: use dash style for getting colors and sizes
	
	So everything is themable

2016-02-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: add proper support for theming the scrollbars

2016-02-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: make button corner radius themeable

2016-02-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: load dash-widgets.json from theme and update it when needed

2016-02-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: allow to get files for different extensions

2016-02-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2016-02-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BFBLauncherIcon: make possible to theme the icon

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	dash-widgets.json: syntax cleanup

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesVScrollBar: code cleanup

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuEntry: rebuild the texture when font changes

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: keep a reference on FontSettings as well

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FontSettings: use gtk:Setting

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: use gtk:Setting

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GtkUtils: add gtk::Setting class for monitoring and getting settings

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: use specialized version of GetSettingValue for std::string

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GtkUtils: add specialization for getting string values

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: reduce parameters on callback

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Unity: use theme::Settings' font around

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GtkUtils: add gtk::GetSettingValue definition

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: use ThemedFilePath

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationStyle: use ThemeSettings
	
	Theme and font properties can be RO now.

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ThemeSettings: add small class for reading gtk settings for theming

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DesktopUtilities: add GetUserHomeDirectory

2016-03-10  Andrea Azzarone  <azzaronea@gmail.com>

	Add a "Format..." option to volume icons. Fixes: #1057008
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2016-02-25  Andrea Azzarone  <azzaronea@gmail.com>

	Properly launch gnome-disk.

2016-02-24  Andrea Azzarone  <azzaronea@gmail.com>

	Avoid the useless std::string.

2016-02-24  Andrea Azzarone  <azzaronea@gmail.com>

	Use proper unicode char for triple dots.

2016-02-24  Andrea Azzarone  <azzaronea@gmail.com>

	Merge with trunk.

2016-01-24  Andrea Azzarone  <azzaronea@gmail.com>

	Move Format... item

2016-01-24  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure a volume can be formatted.

2016-01-24  Andrea Azzarone  <azzaronea@gmail.com>

	Add format option.

2016-01-24  Andrea Azzarone  <azzaronea@gmail.com>

	Merge lp:~3v1n0/unity/launcher-filemanager-integration/

2016-02-23  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20160223.1-0ubuntu1

2016-02-23  Andrea Azzarone  <azzaronea@gmail.com>

	Gnome-software launcher integration.
	Approved by: Marco Trevisan (Treviño)

2016-02-23  ""Andrea Azzarone  <azzaronea@gmail.com>
""

	Merge with Robert's branch.

2016-02-23  ""Andrea Azzarone  <azzaronea@gmail.com>
""

	Add libappstream-glib-dev in debian/control

2016-02-23  ""Andrea Azzarone  <azzaronea@gmail.com>
""

	Remove unneeded "Remove()"

2016-02-23  ""Andrea Azzarone  <azzaronea@gmail.com>
""

	Use lambda functions.

2016-02-23  ""Andrea Azzarone  <azzaronea@gmail.com>
""

	Use glib::gchar_to_string.

2016-02-23  ""Andrea Azzarone  <azzaronea@gmail.com>
""

	Forward declar GdkPixbuf.

2016-02-19  ""Andrea Azzarone  <azzaronea@gmail.com>
""

	Merge with trunk.

2016-02-19  ""Andrea Azzarone  <azzaronea@gmail.com>
""

	Integration with gnome-software.

2016-01-27  Didier Roche  <didrocks@ubuntu.com>

	Depends on session-shortcuts, prodiving easy way to shutdown, reboot, logout from dash

2016-02-23  Robert Ancell  <robert.ancell@canonical.com>

	Switch from Ubuntu Software Center to GNOME Software. Fixes: #1547129
	Approved by: Marco Trevisan (Treviño)

2016-02-19  Robert Ancell  <robert.ancell@canonical.com>

	Rewrite tests to not use Ubuntu Software Center, use GNOME Software instead

2016-02-19  Robert Ancell  <robert.ancell@canonical.com>

	Switch from Ubuntu Software Center to GNOME Software in the default application list

2016-02-23  Robert Ancell  <robert.ancell@canonical.com>

	Drop unused build-dependency on libgee-dev.
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2016-02-23  Robert Ancell  <robert.ancell@canonical.com>

	Drop libgee from docs

2016-02-23  Robert Ancell  <robert.ancell@canonical.com>

	Drop libgee dependency - it's not used anymore

2016-02-19  Robert Ancell  <robert.ancell@canonical.com>

	Fix dependency for libgee-0.8-dev, libgee-dev doesn't seem to exist anymore

2016-02-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeFileManager: use *WithTimestamp file operations instead of using Activate workaround Fixes: #1445595
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeFileManager: use *WithTimestamp file operations instead of using Activate workaround

2016-02-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	unity.migrations: add 04_unity_update_software_center_desktop_file
	
	Update favorite to use gnome software
	Approved by: Robert Ancell

2016-02-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	04_unity_update_software_center_desktop_file: more lines is better :)

2016-02-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	unity.migrations: add 04_unity_update_software_center_desktop_file
	
	Update favorite to use gnome software

2016-02-09  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20160209.3-0ubuntu1

2016-02-09  handsome_feng  <445865575@qq.com>

	Extend the lockscreen theme for kylin.
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2016-01-15  handsome_feng  <445865575@qq.com>

	merge trunk

2015-12-07  handsome_feng  <445865575@qq.com>

	Modified some copyright notices

2015-12-05  handsome_feng  <445865575@qq.com>

	merge ~3v1n0/unity/kylin-lockscreen-cleanup

2015-12-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenPromptFactory: add factory to create prompt views

2015-12-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenBaseShield: add new base shield with common features for Ubuntu and Kylin

2015-12-03  handsome_feng  <445865575@qq.com>

	update

2015-11-24  handsome_feng  <445865575@qq.com>

	share the code in AbstractShield

2015-11-24  handsome_feng  <445865575@qq.com>

	modified some tests and the AbstractShield

2015-11-23  handsome_feng  <445865575@qq.com>

	Modified UserIconFile(), Add DesktopType to UnitySettings,Add some nux::Property in textinput

2015-11-12  handsome_feng  <445865575@qq.com>

	Update the icon to the final version

2015-11-11  handsome_feng  <445865575@qq.com>

	revert the changes applied at po files

2015-11-10  handsome_feng  <445865575@qq.com>

	merge trunk

2015-11-10  handsome_feng  <445865575@qq.com>

	remove some comment and the temp changelog

2015-11-10  handsome_feng  <445865575@qq.com>

	Adjust the prompt layout on mutil-monitor,remove the panelview in ScreenSheld

2015-11-02  handsome_feng  <445865575@qq.com>

	modified the login icon

2015-10-29  handsome_feng  <445865575@qq.com>

	Modified an error

2015-10-29  handsome_feng  <445865575@qq.com>

	update some tests in GnomeSessionManager

2015-10-26  handsome_feng  <445865575@qq.com>

	remove extra space after XDG_SEAT_PATH

2015-10-26  handsome_feng  <445865575@qq.com>

	comment usericonfile test

2015-10-26  handsome_feng  <445865575@qq.com>

	update some tests

2015-10-26  handsome_feng  <445865575@qq.com>

	Update

2015-10-23  handsome_feng  <445865575@qq.com>

	used g_strcmp0 instead of strcmp, added two gtests

2015-10-22  handsome_feng  <445865575@qq.com>

	changed the envionment variables name

2015-10-22  handsome_feng  <445865575@qq.com>

	Temporary close the tests

2015-10-20  handsome_feng  <445865575@qq.com>

	comment the test code because of the build failure.

2015-10-20  handsome_feng  <445865575@qq.com>

	Modified the textinput temporary

2015-10-19  handsome_feng  <445865575@qq.com>

	merge trunk

2015-10-19  handsome_feng  <445865575@qq.com>

	added 2 icon

2015-10-19  handsome_feng  <445865575@qq.com>

	update something

2015-10-10  handsome_feng  <445865575@qq.com>

	Added white border to the user icon

2015-10-09  handsome_feng  <445865575@qq.com>

	Moved the dbus call inside unity::session

2015-09-30  handsome_feng  <445865575@qq.com>

	Successfully make it an option

2015-09-30  handsome_feng  <445865575@qq.com>

	Successfully  use kylinUserPrompt witch inheirted from AbstractUserPromptView replace the UserPromptView

2015-09-30  handsome_feng  <445865575@qq.com>

	Add AbstractPromptView and KylinUserPromptView

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CMake: use GNUInstallDirs with native multi-arch support
	
	We can now use CMAKE_INSTALL_*DIR instead of defining them manually.
	Also disable networkarea region plugin build by default. Fixes: #1485668, #1508635
	Approved by: Andrea Azzarone

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Use proper prefixes where possible

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CMakeLists: use ${PROJECT_NAME} instead of unity

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CMake: use GNUInstallDirs with native multi-arch support
	
	We can now use CMAKE_INSTALL_*DIR instead of defining them manually.
	Also disable networkarea region plugin build by default.

2016-02-09  Didier Roche  <didrocks@ubuntu.com>

	debian: Recommends session-shortcuts, prodiving easy way to shutdown, reboot and logout from dash
	Approved by: Marco Trevisan (Treviño)

2016-02-09  Didier Roche  <didrocks@ubuntu.com>

	debian/control: add session-shortcuts to Recommends

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: avoid to access to invalid selection or to divide by zero Fixes: #1537524
	Approved by: PS Jenkins bot, Andrea Azzarone

2016-01-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorEntryAccessible: check for entry validity

2016-01-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	InputRemove: remove scoped array

2016-01-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherController: don't show anything if the model is empty.
	
	Also ensure we remove the introspectable children

2016-01-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: avoid to access to invalid selection or division by zero

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: add FileManager, Trash and Volume icons integration
	
	Now the launcher will link each nautilus window to the related volume or trash
	icon, while the Nautilus launcher icon will only be active if the file manager is
	browsing other locations.
	It's now possible to manage sub-windows from the parent icon like it happens for
	every other application (so even spreading them or select from QL)
	
	The windows management logic has been moved to WindowedLauncherIcon which is a
	base class of ApplicationLauncherIcon, and StorageLauncherIcon.
	VolumeLauncherIcon and TrashLauncherIcon are now based on StorageLauncherIcon
	which connects to the FileManager to get the windows for a given location.
	
	FileManagerLauncherIcon is now special and is both an ApplicationLauncherIcon
	and a StorageLauncherIcon, and uses the parent application only for some tasks.
	
	Lots of random code cleanup included too. Fixes: #1063823, #1063838, #1161323, #1524721
	Approved by: PS Jenkins bot, Andrea Azzarone

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManagerLauncherIcon: ignore device icon visibility status, as it won't update promptly
	
	There might be a race (if we don't connect to signals), thus there's no reason of doing this
	since the volume icon already covers this case.

2016-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManagerLauncherIcon: ignore invisible devices and the ones with invalid URIs

2016-01-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-12-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-12-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/control: add nautilus to Recommends

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManager: remove support multiple locations for window
	
	Although the fielmanager might have multiple tabs opened, we don't care
	about knowing them, since we only care of the active one.

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManager: remove the unneeded methods from FileManager

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeFileManager: don't break the loop when we've found the first window matching location

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSwitcherController: use WindowedLauncherIcon as base for FakeLauncherIcon and MockApplicationWindow's

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSwitcherController: implement WindowsOnViewport for FakeLauncherIcon

2015-12-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManagerLauncherIcon: use the WindowedLauncherIcon Quit definition

2015-12-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VolumeLauncherIcon: close windows on Eject or Stop

2015-12-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon, ApplicationLauncherIcon: remove bamf prefixes

2015-12-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: remove unused logger

2015-12-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Test*LauncherIcon: remove NiceMock for Virtually inherited classes
	
	It doesn't seem to work here because we need to re-call the base class on initialization.

2015-12-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StorageLauncherIcon: check visibility only for applications icons

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: add any kind of icon, we'll filter them out by visibilty then

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeFileManager: only care about the first exported location for each window
	
	It's the active one.

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManagerLauncherIcon: add device manager and use volume URIs to filter out windows
	
	Do this by using pointer version of devices section in LauncherController.

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VolumeLauncherIcon: add GetVolumeUri method

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TrashLauncherIcon: add Quit and Windows quicklists

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VolumeLauncherIcon: add windows menu items to Quicklist

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: use MenuItemsVector definition

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VolumeLauncherIcon: add Quit QL item if running

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: use post_fixed_ variables

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VolumeLauncherIcon: use WindowedLauncherIcon shared glib::SignalManager

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TrashLauncherIcon: use WindowedLauncherIcon shared glib::SignalManager

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: add GetWindowsMenuItems to generate QL for windows

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManagerLauncherIcon: update the storage windows on startup

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VolumeLauncherIcon: ensure manged windows are closed on icon trashed

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: Add Quit method to close windows and call it when icon is trashed

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: update the spreaded windows if windows changed and we're in scale

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: move FileManager specific actions to FileManagerLauncherIcon

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManagerLauncherIcon: fix diamond-problem by using virtual inheritance of WindowedLauncherIcon

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherController: add CreateAppLauncherIcon which might create a FileManager icon in case

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FileManagerLauncherIcon: add icon for managing FileManager
	
	For now this is both an ApplicationLauncherIcon and a StorageLauncherIcon, but has to be fixed.
	The icon should skip windows that are currently handled by trash or devices

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StorageLauncherIcon: manage visibility for application icons

2015-12-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: manage applicaition closed signal in a protected method
	
	In this way we could call it from derived classes

2015-12-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/switcher-dynamic-model

2015-12-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherController: use icon's WindowsOnViewport when needed

2015-11-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	launcher: add missing StorageLauncherIcon.cpp to CMakeLists.txt

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StorageLauncherIcon: just use window's active/urgent properties changed signals for changing QUIRKs

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: just sort icons by switcher priority, since we have it...

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DesktopLauncherIcon: force it to be the first icon in switcher

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestVolumeLauncherIcon: add tests for checking the visibilty on blacklisted devices with windows

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestVolumeLauncherIcon: add tests for "Lock to launcher" quicklist

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VolumeLauncherIcon: add quicklist to Lock/Unlock to launcher
	
	The icon should stay in launcher also if there's an open window for this location.
	Once all the windows are closed and the user has blacklisted the device, no launcher
	icon should stay.
	
	Tests updated

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StorageLauncherIcon: reduce the calls to FM's WindowsForLocation caching results
	
	They're updated only on locations_changed or when a window closes

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestVolumeLauncherIcon: add more windows related tests

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VolumeLauncherIcon: inherit from StorageLauncherIcon and add support to manage windows
	
	Now windows can be opened, spreaded and minimized from the volume icon.
	Also pips respect the actual state.
	
	Tests updated

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestTrashLauncherIcon: use WindowsVisibleOnMonitor

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TrashLauncherIcon: call UpdateStorageWindows (instead of EnsureWindowState) on init

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StorageLauncherIcon: add protected UpdateStorageWindows
	
	This will get the windows and connect to signals, plus ensure the window state.

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StorageLauncherIcon: keep track of the managed windows
	
	So we don't have to fetch them at every active window change.
	This has to be improved for other scenarios.

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationWindow: add closed signal
	
	And impelment it in BamfApplicationWindow

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TrashLauncherIcon: Also get windows for trash path
	
	Nautilus doesn't use trash:///subfolder/paths correctly

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DesktopUtilities: add GetUserTrashDirectory

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: go back to WM's GetWindowsInStackingOrder as it's more testable

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: use WindowsVisibleOnViewport and WindowsVisibleOnMonitor

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: use WindowsVisibleOnMonitor

2015-11-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AbstractLauncherIcon: add WindowsVisibleOn{Monitor,Viewport} to return the number of available windows
	
	This saves us from fetching a list of windows that we already generated at every repaint

2015-11-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: use WindowsOnViewport to ensure windows

2015-11-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: use ApplicationManager for sorting windows by stacking order

2015-11-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AbstractLauncherIcon: always return a WindowList on windows related functions

2015-11-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeFileManager: always open trash in new instance

2015-11-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeFileManager: match windows also for exact locations
	
	Not only for relative paths

2015-11-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StorageLauncherIcon: add new base-class for storage icons and use it for Trash

2015-11-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestTrashLauncherIcon: add some windows related tests

2015-11-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TrashLauncherIcon: extend WindowedLauncherIcon and add support to manage windows
	
	Now windows can be opened, spreaded and minimized from the trash.
	Also pips respect the actual state.

2015-11-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: use ApplicationManager's FocusWindowGroup for focusing windows

2015-11-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: add FocusWindowGroup to Manager, and use it for focusing Apps

2015-11-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MockApplicationWindow: add SetMonitor method

2015-11-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GLibDBusProxy: unref the result of Set/Get property calls

2015-11-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeFileManager: add WindowsForLocation and LocationsForWindow APIs
	
	We use the XUbuntuOpenLocationsXids property from 
	org.freedesktop.FileManager1 to get the list of locations that every window
	is showing

2015-11-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: don't override window_indicators for devices and trash icons

2015-11-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowedLauncherIcon: add new base-class for Icons holding windows
	
	And using this as base-class for ApplicationLauncherIcon

2015-11-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: just return the app window list if no filter is set

2015-11-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: remove unused member variable

2015-11-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/dynamic-app-spread

2015-11-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/switcher-dynamic-model

2016-02-08  Matthias Klose  <doko@ubuntu.com>

	debian: Multiarchify the library packages.
	
	Manual sync with debian packaging

2015-12-18  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20151218-0ubuntu1

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ensure that the maximized window is computed when setting the monitor Fixes: #1526835
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-12-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ensure that the maximized window is computed when setting the monitor

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizShortcutModeller: show menus keybinding can be read from settings
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-12-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizShortcutModeller: show menus keybinding can be read from settings

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: reduce opacity to warning if only num_lock is enabled
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-12-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: reduce opacity to warning if only num_lock is enabled

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: don't reiterate over windows all the time, keep a list and update it
	
	Windows are computed just once, unless the window count for the selected icon
	changes. DetailXids is now returning something only if detail is enabled.
	
	When the active app windows changed, we can update the detail xids. Fixes: #1526434
	Approved by: Andrea Azzarone

2015-12-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSwitcherModel: add test to verify DetailXids and SelectionWindows
	
	Fix failing test due to DetailXids change

2015-12-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: don't reiterate over windows all the time, keep a list and update it
	
	Windows are computed just once, unless the window count for the selected icon
	changes. DetailXids is now returning something if detail is enabled

2015-12-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: update detail_selection_index if windows changed on selected icon

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LayoutSystem: add ComputeDecorationHeight method to LayoutWindow
	
	Use this only for SwitcherView, while we don't need this trick when using
	these windows for generating the spread grid. Fixes: #1526386
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-12-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestLayoutWindow: fix tests to support ComputeDecorationHeight

2015-12-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: compute the decoration height for layout window

2015-12-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LayoutSystem: add ComputeDecorationHeight method to LayoutWindow
	
	So that it can be used on request.

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	a11y: move accessibility stuff to its own directory, adding a private lib for building
	Approved by: Andrea Azzarone

2015-12-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	a11y: move accessibility stuff to its own directory, adding a private lib for building

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	a11y: don't spam the log with warnings when a quicklist is opened
	
	React silently when trying to get accessible elements from null views.
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-12-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	a11y: remove unneeded dynamic casts

2015-12-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	QuicklistMenuAccessible: try to get accessible child from valid children only

2015-12-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	NuxAreaAccessible: don't try to get accessible data from null views

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: refcount the actions and remove them only when nobody needs
	
	There might be multiple customers for an action (i.e. a menu entry and a dbus customer)
	so we can't remove them in this case without ref-counting. Fixes: #1525308
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-12-13  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: refcount the actions and remove them only when nobody needs
	
	There might be multiple customers for an action (i.e. a menu entry and a dbus customer)
	so we can't remove them in this case without ref-counting.

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Unity: compile a byte regex in order to get proper matching with byte cmdline Fixes: #1526455
	Approved by: PS Jenkins bot, Barry Warsaw, Sebastien Bacher

2015-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	unity.cmake: correctly compare strings with strings

2015-12-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Unity: compile a byte regex in order to get proper matching with byte cmdline

2015-12-18  Evan McIntire  <mcintire.evan@gmail.com>

	ShortcutHint: Add key shortcut hints for Screenshot and Window Screenshot
	
	Key bindings are dynamically taken from gnome settings. Fixes: #1050195
	Approved by: Marco Trevisan (Treviño)

2015-12-17  Evan McIntire  <mcintire.evan@gmail.com>

	ShortcutHint: Add key shortcut hints for Screenshot and Window Screenshot
	
	Key bindings are dynamically taken from gnome settings.

2015-12-17  Evan McIntire  <mcintire.evan@gmail.com>

	Various style fixes, fix leaks

2015-12-16  Evan McIntire  <mcintire.evan@gmail.com>

	Add key shortcut hints for Screenshot and Window Screenshot
	
	Revert changes to po files

2015-12-16  Evan McIntire  <mcintire.evan@gmail.com>

	Add harcoded shortcut hints for Screenshot and Screenshot window

2015-12-18  Michael Vogt  <michael.vogt@ubuntu.com>

	Display "image-missing" icon in the panel if for some reason a icon can not be loaded. Fixes: #1525186
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-12-11  Michael Vogt  <michael.vogt@ubuntu.com>

	address another review comments (thanks to Trevino!)

2015-12-11  Michael Vogt  <michael.vogt@ubuntu.com>

	address review comments (thanks to Trevino!)

2015-12-11  Michael Vogt  <michael.vogt@ubuntu.com>

	Make fallback to "image-missing" more generic
	
	Always provide a "image-missing" fallback if icon loading of any
	kind failed for any reason. Still log failure from 
	gdk_pixbuf_new_from_file_at_size() failures.

2015-12-11  Michael Vogt  <michael.vogt@ubuntu.com>

	If a icon can not be loaded, fallback to "image-missing" and log
	
	When a icon can not be loaded the panel currently shows no icon
	at all. This is undesirable for icons with no text (like the
	sound indicator or the session indicator). Instead provide the
	"image-missing" fallback if icon loading failed.

2015-12-18  Aneesh Madhavan  <aneeshmadhavan1@gmail.com>

	resources: optimize png images Fixes: #1023745
	Approved by: Didier Roche, Marco Trevisan (Treviño)

2015-12-11  Aneesh Madhavan  <aneeshmadhavan1@gmail.com>

	Optimised Unity png images

2015-12-15  Didier Roche  <didrocks@ubuntu.com>

	releasing package unity version 7.4.0+16.04.20151211-0ubuntu2

2015-12-11  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20151211-0ubuntu1

2015-12-11  Sebastien Bacher  <seb128@ubuntu.com>

	Updated apport hook to include:
	- the compiz and xorg details, not only after asking users if the issue
	is a graphical one (which is weird question)
	- the upstart logs for unity/ups/lockscreen
	- some gsettings configurations Fixes: #1508974
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-11-27  Sebastien Bacher  <seb128@ubuntu.com>

	Updated apport hook to include:
	- the compiz and xorg details, not only after asking users if the issue
	is a graphical one (which is weird question)
	- the upstart logs for unity/ups/lockscreen
	- some gsettings configurations

2015-12-11  Andrea Azzarone  <azzaronea@gmail.com>

	Properly hide shortcut overlay window to avoid unnecessary redraws.
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-11-26  Andrea Azzarone  <azzaronea@gmail.com>

	Properly hide shortcut overlay window to avoid unnecessary redraws.

2015-12-11  Bryan Quigley  <bryan.quigley@canonical.com>

	debian/control: Remove telepathy from recommends
	Approved by: Marco Trevisan (Treviño)

2015-11-17  Bryan Quigley  <bryan.quigley@canonical.com>

	Remove telepathy from recommends

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	unity: ensure we use python3 for the launch script and python2.7 for autopilot Fixes: #1512909
	Approved by: PS Jenkins bot

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/changelog: add commit message as the train doesn't pick this automatically

2015-11-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/renable-arm64-tests

2015-11-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/rules: workaround bug #1286284 for ppc64el

2015-11-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/changelog: sync with distro

2015-11-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-11-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	unity.cmake: fix syntax, removing mixed tabs and spaces

2015-11-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Tests: install autopilot with python2.7

2015-11-05  Barry Warsaw  <barry@ubuntu.com>

	unity: ensure we use python3 for the launch script

2015-12-11  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	Replaced deprecated calls in tests to get rid of compiler warnings
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-11-11  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	replaced G_ASYNC_RESULT with G_TASK

2015-11-11  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed the order of arguments in g_task_new

2015-10-27  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	replaced deprecated test calls to get rid of compiler warnings

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ExpoLauncherIcon: add Quicklist to switch workspace and see the selected one Fixes: #750497
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-11-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ExpoLauncherIcon: add Quicklist to switch workspace and see the selected one

2015-11-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowManager: add SetCurrentViewport method
	
	It allows to switch to a different viewport, by using the offset from the current one

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: if a new window opens while spreading, spread again with proper match Fixes: #1517455
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-11-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SpreadFilter: update filtered windows when a new window opens or title changes

2015-11-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: use IsScaleActiveForGroup and IsActive to check if it's spreading
	
	It's enough since a spread app is also active.

2015-11-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: correclty initialize _spread_requested_state

2015-11-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: if a new window opens while spreading, spread again with proper match

2015-11-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: add ScaleScreen and relayout the spread when it's currently active
	
	Instead of terminating the spread and re-spreading again we can simply update our match

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Places(Overlay)VScrollBar: impelement gtk-like overlay scrollbars Fixes: #1481706
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-12-09  Andrea Azzarone  <andrea.azzarone@canonical.com>

	ScopeView: redraw the scroll layout if the scollbar needs redraw

2015-12-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesGroup: don't scale the extra pixel, or it would cause troubles

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CoverArt: remove sensitivity to text

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayWindowButtons: don't show in standalone mode

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneDash: add default ubuntu background

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestOverlayScrollbar: remove

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayScrollView: add some cleanup

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	dash_pch.hh: add more precompiled headers

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScopeView: redraw the scroll layout together with scrollbar, don't clear scroll geometries here

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesGroup: some code cleanup

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Places(Overlay)VScrollBar: impelement gtk-like overlay scrollbars

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-09-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneDash: ensure that the scope command line works
	
	And open the home scope by default

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: show warning also when num lock is enabled
	Approved by: Andrea Azzarone

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UserPromptView: use show_lock_warnings

2015-11-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: show warning also when num lock is enabled

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorEntryView: Activate menus on click, by drawing them as active Fixes: #1513523
	Approved by: Andrea Azzarone

2015-11-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorEntryView: Activate menus on click, by drawing them as active

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/rules: enable unit tests on arm64 again Fixes: #1514538
	Approved by: Andrea Azzarone

2015-11-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/rules: enable unit tests on arm64 again

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: Add support to Alt+Key-right-to-tab to close the selected app/window
	Approved by: Andrea Azzarone

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizShortcutModeller: get display from nux

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizShortcutModeller: add Alt+key_right_to_Tab and Up/Down arrows

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/near-tab-key-support

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: Add support to Alt+Key-right-to-tab to close the selected app/window

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	XKeyboardUtil: add ability to get keycodes from any relative position
	Approved by: PS Jenkins bot, Andrea Azzarone

2015-11-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/switcher-alt+q

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/switcher-dynamic-model

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/switcher-dynamic-model again

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestKeyboardUtil: add tests for near key symbols lookup

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	XKeyboardUtil: add ability to get keycodes from any relative position

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/switcher-dynamic-model

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Switcher{View,Controller}: close active selection on Alt+q
	
	'Q' should be instead the first key in the row, near to tab. Fixes: #1468820
	Approved by: Andrea Azzarone

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/switcher-dynamic-model

2015-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Switcher{View,Controller}: close active selection on Alt+q
	
	There are still some issues: 'Q' should be the first key in the row, near to tab.
	Model and view should update dynamically to match show proper content

2015-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: some minor cleanups

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: allow to add/remove icons dynamically and update them when they require it
	
	We keep hidden applications in a separated vector; when an application becomes
	invisible in switcher we need to move it to the hidden_applications_ vector,
	if it becomes visible again we put it back on the main model vector. Fixes: #1512349
	Approved by: Andrea Azzarone

2015-12-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherController: get all icons for AltTab, it's up to the Model to filter them

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSwitcherModel: use new constructor

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSwitcherController: ensure that icons are visible in switcher, or tests will fail

2015-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: use old behavior in {Next,Pre}DetailRow

2015-11-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: avoid signed/unsigned comparisons

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: only connect to quirks_changed and windows_changed signals
	
	They're more than enough to get proper view updates

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AbstractLauncherIcon: move signals to base class, use proper naming

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: fix signed/unsigned comparisons

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: even more cleanup

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: ensure that we update index before emitting any signal
	
	Fix a crash when we had the detail mode activated on the last

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherController: hide the view if the model has no more icons

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: don't show a removed window in switcher
	
	Not that it happened, but just for being sure

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: small code optimizations

2015-10-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: don't hide the switcher if there are no more detail windows open
	
	Also fix a crash when removing an icon and we're selecting the last element

2015-10-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: emit an "updated" signal when an icon needs redraw
	
	This allows to get both the icon to be updated when the pip count changes
	and when a window is added/removed in detail mode

2015-10-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: keep hidden applications in a separated vector
	
	When an application becomes invisible in switcher we need to move it to
	the hidden_applications_ vector, if it becomes visible again we put it back
	on the main model vector.

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: redirect launcher controller icons signals to the switcher

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: rename the initialization functions to be more consistent

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: don't show icons if not visible in switcher, relayout the view on model update

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherController: add ability to add/remove icons, move more logic to the model

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherController: emit signals when icons are added/removed from model

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSwitcherModel: Initialize model just once, update for new API

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: make possible to add and remove icons at runtime
	
	Icons are kept in order at this level

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherModel: code cleanup

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherModel: implement GetIntrospectableChildren

2015-12-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ignore leave events when triggered by feeding nux manually
	
	WindowManager::Default().UnGrabMousePointer uses ProcessForeignEvent to send
	a ButtonRelease event, and this breaks the panel. So we need to ignore this. Fixes: #1513496
	Approved by: Andrea Azzarone

2015-11-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenPanel: don't ungrab the pointer at each menu opened, just do it at frist time

2015-11-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelView: don't ungrab the pointer at each menu opened, just do it at frist time.

2015-11-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ignore leave events when triggered by feeding nux manually
	
	WindowManager::Default().UnGrabMousePointer uses ProcessForeignEvent to send
	a ButtonRelease event, and this breaks the panel. So we need to ignore this.

2015-11-02  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.4.0+16.04.20151102-0ubuntu1

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: if an app is not running and has no desktop file, add QL item to add to dash
	
	This allows to generate a desktop file without sticking the icon
	Approved by: Andrea Azzarone

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: if an app is not running and has no desktop file, add QL item to add to dash
	
	This allows to generate a desktop file without sticking the icon

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: add SpreadAppWindows option and trigger it on Super+Ctrl+[Shift]+W
	Approved by: Andrea Azzarone

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: get events timestamp using CompOption::getIntOptionNamed time

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: get events timestamp using CompOption::getIntOptionNamed time

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: add ability to spread app windows depending on workspace

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizShortcutModeller: show option to spread all application windows

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: make SpreadAppWindows workspace-aware

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: add SpreadAppWindows option and trigger it on Super+Ctrl+W

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: unset the idle ID before removal on callback Fixes: #1501289
	Approved by: Andrea Azzarone

2015-10-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: unset the idle ID before removal on callback

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Unity: use compiz cursorCache to get properly updated cursors
	
	We avoid duplicating instances and they're automatically recreated
	when the system cursor setting change. Fixes: #1359211
	Approved by: Andrea Azzarone

2015-10-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompScreenMock: define cursorCache

2015-10-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IMTextEntry: use GetCachedCursor to get proper cursor

2015-10-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MockWindowManager: add definition for GetCachedCursor

2015-10-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelTitlebarGrabAreaView: get grab_cursor_ from global cursor cache

2015-10-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowManager: add GetCachedCursor function
	
	It wraps CompScreen::cusorCache

2015-10-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowGestureTarget: use compiz cursorCache

2015-10-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsDataPool: use compiz cursor cache to get cursors
	
	We avoid duplicating instances and they're automatically recreated
	when the system cursor setting change.

2015-11-02  Didier Roche  <didrocks@ubuntu.com>

	Remove unity2d transitional packages. We are post trusty LTS, they are not needed anymore
	Approved by: Marco Trevisan (Treviño)

2015-09-22  Didier Roche  <didrocks@ubuntu.com>

	Remove unity2d transitional packages.
	
	We are post trusty LTS, they are not needed anymore

2015-11-02  Stephen M. Webb  <stephen.webb@canonical.com>

	changed the wording of the help message and warning message for the --reset option Fixes: #1486498
	Approved by: Brandon Schaefer

2015-08-19  Stephen M. Webb  <stephen.webb@canonical.com>

	tools/unity.cmake: tweaked wording of warning message.

2015-08-19  Stephen M. Webb  <stephen.webb@canonical.com>

	tools/unity.cmake: fix message given for the --reset option

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Bump version to 7.4.0 Fixes: #1511542
	Approved by: Andrea Azzarone

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/rules: Don't build unit tests in arm64

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CMakeLists.txt: Add ENABLE_UNIT_TEST option to enable/disable tests

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Scope: add proper defintion using bit shifting

2015-10-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/rules: enable precompiled headers in arm64

2015-10-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/control: depend on bamf 0.5.2~bzr0

2015-10-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfApplicationManager: use new BAMF 0.5.2 API
	
	Bump requirements in CMakeLists.txt and debian/control.

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherController: properly use sigc::track_obj with object instance (not pointer)

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandalonePreviews: link against unity-shared-standalone

2015-10-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherController: fix build failure with libsigc++ >= 2.5

2015-10-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Bump version to Unity 7.4.0

2015-11-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Upstream release 7.3.3
	Approved by: Andrea Azzarone

2015-10-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Upstream release 7.3.3

2015-10-16  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20151016-0ubuntu1

2015-10-16  Andrea Azzarone  <azzaronea@gmail.com>

	Avoid test failures on jenkins.
	Approved by: Marco Trevisan (Treviño)

2015-10-13  Andrea Azzarone  <azzaronea@gmail.com>

	Avoid test failures on jenkins.

2015-10-16  CI Train Bot  <ci-train-bot@canonical.com>

	UnityScreen: close the session dialog in case it's open and we're requested to lock
	
	Otherwise a grab conflict will will cause the lockscreen not to show up. Fixes: #1505234
	Approved by: Andrea Azzarone

2015-10-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: ensure that we free the "fake" IndicatorEntry's we create for dropdowns Fixes: #1503348
	Approved by: Andrea Azzarone

2015-10-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: don't hide 'l' list parameter with another one

2015-10-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: remove a dropdown IndicatorEntry if not shown anymore
	
	When its geometry is not valid anymore we can assume it's not needed.

2015-10-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: ensure that we free the "fake" IndicatorEntry's we create for dropdowns

2015-10-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: force lookup icon by scaling it at the requested size
	
	As bonus, remove unused GtkWrapper class Fixes: #1446081, #1501973
	Approved by: Andrea Azzarone

2015-10-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GtkWrapper: remove it as it's not needed anymore

2015-10-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Use GTK_ICON_LOOKUP_FORCE_SIZE when loading icons everywhere

2015-10-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: force lookup icon by scaling it at the requested size

2015-10-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultRendererTile: consider global scaling when scaling a not-squared icon Fixes: #1499286
	Approved by: Andrea Azzarone

2015-10-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultRendererTile: consider global scaling when scaling a not-squared icon

2015-10-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestDash: Use local results in PreviewNavigateTests instead of online ones
	
	They're just more reliable
	Approved by: Andrea Azzarone

2015-10-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestMain: unset UPSTART_SESSION not to mess with real system

2015-10-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestLauncher: no need to wait pending events here, there's no async call involved

2015-10-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestIconLoader: wait pending events before on TearDown

2015-10-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UpstartWrapper: start in test-mode if UPSTART_SESSION is not defined

2015-10-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestDash: Use local results in PreviewNavigateTests instead of online ones
	
	They're just more reliable

2015-10-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: close the session dialog in case it's open and we're requested to lock
	
	Otherwise a grab conflict will will cause the lockscreen not to show up. Fixes: #1505234
	Approved by: Andrea Azzarone

2015-10-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/changelog: sync with proposed

2015-10-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: close the session dialog in case it's open and we're requested to lock
	
	Otherwise a grab conflict will will cause the lockscreen not to show up.

2015-10-02  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20151002.2-0ubuntu1

2015-10-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: Don't allow an action to be grabbed multiple times
	
	And always return the same action id for a specific key binding. Fixes: #1459571
	Approved by: Andrea Azzarone

2015-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: use some better naming for variables and methods

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestGnomeSessionManager: mark NoLockWhenLockingDisabled as unstable

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestUtils: define UNSTABLE_TEST macro, and disable unstable tests on release

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CMakeLists.txt: define UNITY_DEBUG_BUILD when building with debug flag

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: don't re-check for method parameters type
	
	That's already checked at lower level

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestIconLoader: enable some disabled tests

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestGDBusProxy: make tests more robusts when using a cancellable

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: emit the AcceleratorActivated to all the subscribers for that action

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: don't use overloaded functions, just use different names

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabberTests: fix tests to match current behavior

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: don't remove an action if shared by multiple senders
	
	If an action is used by multiple applications, we don't remove it until we don't
	have customers for that.
	Added some more debug logging.

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: don't allow any client to Ungrab an accelerator requested from different sender

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandalonePanel: fix KeyGrabber definition

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestMainDBus: use glib::DBusNameWatcher

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: only emit AcceleratorActivated signal to the requestor.
	
	Also, delete actions when the name-owner vanished.

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GLibDBusNameWatcher: new wrapper class for monitoring DBus names

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	KeyGrabber: update implementations with new interface

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GLibDBusServer: implement SetMethodsCallsHandlerFull

2015-09-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: return always the same action ID for a keybinding

2015-09-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: Don't allow an action to be grabbed multiple times

2015-09-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: use action IDs instead of storing actions

2015-09-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	KeyGrabber: return action IDs and add ability to remove an action by ID

2015-09-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: simpify code, just use two vector for keeping track of actions
	
	Unfortunately we can't use pointers here as CompAction's are statically allocated

2015-09-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GLibDBusServer: allow to emit a signal to a single listener

2015-09-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	glib::Object: add SetMethodsCallsHandlerFull to get all call parameters

2015-10-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService, DBusIndicators: drop support for EntryShowNowChanged signal
	
	We do handle this internally inside unity since long time now, so there's no need
	bother the bus for such thing.
	Approved by: Andrea Azzarone

2015-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService, DBusIndicators: drop support for EntryShowNowChanged signal
	
	We do handle this internally inside unity since long time now, so there's no need
	bother the bus for such thing.

2015-09-21  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20150921-0ubuntu1

2015-09-21  Iain Lane  <iain@orangesquash.org.uk>

	launcher: Always make sure we check the right file when seeing if .desktop files have been deleted. Fixes disappearing launcher icons when applications are upgraded when we are using glib > 2.44. Fixes: #1498106
	Approved by: Marco Trevisan (Treviño)

2015-09-21  Iain Lane  <iain@orangesquash.org.uk>

	one more place

2015-09-21  Iain Lane  <iain@orangesquash.org.uk>

	No need to ref it explicitly, this is done for us

2015-09-18  Iain Lane  <iain@orangesquash.org.uk>

	launcher: Always make sure we check the right file when seeing if .desktop files have been deleted.
	
	We were checking the GFile which came in via the changed signal, but sometimes
	(e.g. for paired delete/create events caused by moves), this can be a file that
	is being moved onto our target.
	
	Always check the target file that we wateched initially.
	
	This fixes disappearing launcher icons when applications are updated with glib
	> 2.44.

2015-09-21  Andrea Azzarone  <azzaronea@gmail.com>

	Avoid to open adjacent menu when moving from an indicator icon to its dropdown menu. Fixes: #552920
	Approved by: Marco Trevisan (Treviño)

2015-09-21  Andrea Azzarone  <azzaronea@gmail.com>

	Minor changes.

2015-09-21  Andrea Azzarone  <azzaronea@gmail.com>

	Merging with trunk.

2015-08-11  Andrea Azzarone andrea.azzarone@canonical.com

	Avoid to open adjacent menu when moving from an indicator icon to its dropdown menu.

2015-09-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: add a new setting to control the show-now delay Fixes: #1497915
	Approved by: Andrea Azzarone

2015-09-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: add a new setting to control the show-now delay

2015-09-21  Lars Uebernickel  <lars@uebernic.de>

	DevicesSettingsImp: dont't feed garbage to gsettings
	
	Use a const reference for the iteration variable in the loop over _blacklist so that the pointers returned from c_str() are still valid when feeding them to g_settings_set_strv().
	
	In the best case, this only wrote garbage to the "blacklist" key (making that setting useless). In the worst case, it led to a crash because the garbage was invalid utf8, which gsettings refuses to accept.
	
	Fixes LP: #1495173 Fixes: #1495173
	Approved by: Andrea Azzarone

2015-09-17  Lars Uebernickel  <lars@uebernic.de>

	DevicesSettingsImp: dont't feed garbage to gsettings
	
	Use a const reference for the iteration variable in the loop over
	_blacklist so that the pointers returned from c_str() are still valid
	when feeding them to g_settings_set_strv().
	
	In the best case, this only wrote garbage to the "blacklist" key (making
	that setting useless). In the worst case, it led to a crash because the
	garbage was invalid utf8, which gsettings refuses to accept.
	
	Fixes LP: #1495173

2015-09-21  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure to restore the state before the call to glDisable(GL_SCISSOR_TEST). Fixes: #1485727
	Approved by: Marco Trevisan (Treviño), Eleni Maria Stea

2015-09-16  Andrea Azzarone  <azzaronea@gmail.com>

	Remove double ;

2015-09-16  Andrea Azzarone  <azzaronea@gmail.com>

	Minor change.

2015-09-16  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure to restore the state before calling glDisable(GL_SCISSOR_TEST)

2015-09-21  Luke Yelavich  <luke.yelavich@canonical.com>

	Make a copy of a quicklist menu item plain text label
	
	Likely due to changes in the gcc transition, Orca stopped speaking quicklist menu items. It seems that keeping a separate copy of the label string for a11y use allows quicklist menu items to be spoken again.
	Approved by: Marco Trevisan (Treviño)

2015-09-21  Luke Yelavich  <luke.yelavich@canonical.com>

	Whoops, add missing brace

2015-09-11  Luke Yelavich  <luke.yelavich@canonical.com>

	Make sure we free used memory before we get a new label string.

2015-09-11  Luke Yelavich  <luke.yelavich@canonical.com>

	Make a copy of a quicklist menu item plain text label
	
	Likely due to changes in the gcc transition, Orca stopped speaking quicklist
	menu items. It seems that keeping a separate copy of the label string for a11y
	use allows quicklist menu items to be spoken again.

2015-09-21  Luke Yelavich  <luke.yelavich@canonical.com>

	Make a copy of a quicklist menu item plain text label
	
	Similar to the fix for quicklist menu items, keep a copy of the session
	button label for a11y use to allow for the buttons in the session dialog
	to be spoken by Orca.
	Approved by: Marco Trevisan (Treviño)

2015-09-14  Luke Yelavich  <luke.yelavich@canonical.com>

	Make a copy of a quicklist menu item plain text label
	
	Similar to the fix for quicklist menu items, keep a copy of the session button
	label for a11y use to allow for the buttons in the session dialog to be spoken
	by Orca.

2015-09-10  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20150910.1-0ubuntu1

2015-09-10  Andrea Azzarone andrea.azzarone@canonical.com

	Merge patch from https://launchpadlibrarian.net/216192448/llvm-fix.patch Fixes: #1491555
	Approved by: Marco Trevisan (Treviño)

2015-09-08  Andrea Azzarone andrea.azzarone@canonical.com

	Merge patch from https://launchpadlibrarian.net/216192448/llvm-fix.patch

2015-09-10  Andrea Azzarone andrea.azzarone@canonical.com

	Merge patch from https://launchpadlibrarian.net/216276242/low-gfx-override.patch Fixes: #1491913
	Approved by: Marco Trevisan (Treviño)

2015-09-08  Andrea Azzarone andrea.azzarone@canonical.com

	Merge the patch from https://launchpadlibrarian.net/216276242/low-gfx-override.patch

2015-09-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: force shell to be on top when there's a window fullscreen and we've a menu open.
	
	This allows to see the panel and control menus properly. Added support for fullscreen
	windows to WindowsManager, in order to handle properly the LIM mode. Fixes: #591189

2015-09-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-09-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: consider fullscreen windows as maximized, in any case.
	
	In this way in LIM-mode, we've menus available for them, and eventually
	panel shows proper title (when unfocused).
	
	RESUBMITTED r3969, to hopefully fix criss-cross

2015-09-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~azzar1/unity/lp-1485559

2015-09-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autpilot, launcher: make dragging tests more reliable

2015-09-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, TestIconBehavior: add utility function to get a running application
	
	This waits, if needed

2015-06-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, TestPanel: fix open menu on new focused window in LIM mode
	
	Since LIM works for unfocused windows as well, no menu should be closed by
	an app being mapped.

2015-06-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: consider fullscreen windows as maximized, in any case.
	
	In this way in LIM-mode, we've menus available for them, and eventually
	panel shows proper title (when unfocused).

2015-06-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowManager: add IsWindowFullscreen and related signals when fullscreen is toggled

2015-06-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: force shell to be on top when there's a window fullscreen and we've a menu open.

2015-06-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: add a menu_open property that is true when a menu is opened

2015-06-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Indicators: add a method to get the active entry

2015-09-10  Andrea Azzarone andrea.azzarone@canonical.com

	Make sure we update the maximized window when "show desktop"/"restore desktop". Fixes: #1485559
	Approved by: Marco Trevisan (Treviño)

2015-08-17  Andrea Azzarone andrea.azzarone@canonical.com

	Make sure we update the maximized window when "show desktop"/"restore desktop".

2015-08-14  Andrea Azzarone andrea.azzarone@canonical.com

	Merge with trunk.

2015-09-10  Andrea Azzarone azzaronea@gmail.com

	Properly hide decorations when on "Show Desktop" mode. Fixes: #1485073
	Approved by: Marco Trevisan (Treviño)

2015-08-14  Andrea Azzarone azzaronea@gmail.com

	Properly hide decorations when on "Show Desktop" mode.

2015-09-10  Andrea Azzarone andrea.azzarone@canonical.com

	Do not allow shutdown when screen is locked. Fixes: #1460626
	Approved by: Marco Trevisan (Treviño)

2015-06-19  Andrea Azzarone andrea.azzarone@canonical.com

	Do not allow shutdown when screen is locked.

2015-09-10  Andrea Azzarone andrea.azzarone@canonical.com

	Add/Update tests for gnome session manager.
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-09-08  Andrea Azzarone andrea.azzarone@canonical.com

	Resolve conflicts.

2014-04-19  Andrea Azzarone  <azzaronea@gmail.com>

	Add/Updates tests for gnome session manager.

2015-09-10  Andrea Azzarone andrea.azzarone@canonical.com

	Add unit tests for unity::lockscreen::DBusManager.
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-09-08  Andrea Azzarone andrea.azzarone@canonical.com

	Some minor change.

2015-09-08  Andrea Azzarone andrea.azzarone@canonical.com

	Merge with trunk.

2014-04-16  Andrea Azzarone  <azzaronea@gmail.com>

	No need for DBusManager to be trackable. The impl class will do all the job.

2014-04-16  Andrea Azzarone  <azzaronea@gmail.com>

	Add tests for unity::lockscreen::DBusManager

2015-08-25  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20150825-0ubuntu1

2015-08-25  Iain Lane  <iain@orangesquash.org.uk>

	Depend on v5-renamed xpathselect package
	Approved by: Marco Trevisan (Treviño)

2015-08-24  Iain Lane  <iain@orangesquash.org.uk>

	Merge archive upload

2015-08-19  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20150819-0ubuntu1

2015-08-19  Andrea Azzarone andrea.azzarone@canonical.com

	Do not handle events coming from viewports not actually containing the window. Fixes: #1449654
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-08-19  Chris Townsend  <christopher.townsend@canonical.com>

	When using keyboard navigation in the Dash, skip category headers that are not expandable. Also, do not highlight the category header when the mouse cursor is over it. Fixes: #1045933
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-08-19  Chris Townsend  <christopher.townsend@canonical.com>

	Also use the Compiz show() method when forcing an unmapped window to be visible when clicking on it's active Launcher icon. Fixes: #989588
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot: modernize some tests, use stronger methods to ensure false positive
	Approved by: Andrea Azzarone

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: override the background of the window with transparent color Fixes: #1470292
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionButton: set button opacity to 75% when pressed Fixes: #1301655
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesGroup: connect to view changes using a function instead of a lambda
	
	This prevents crashes as there's automatic disconnection. Fixes: #1470298
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ensure that we connect to window signals as soon as the AppManager knows it Fixes: #1472326
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: Always unfold an active icon Fixes: #1472339
	Approved by: Andrea Azzarone, PS Jenkins bot, Stephen M. Webb

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: rely on windows monitor property changes for updating Pips
	
	Removing the expensive calls that rely on Compiz window moved events which
	are fired for every window, also if outside the scope of an Icon, so we don't
	have to filter these signals out, but we can just get the monitor.changed signal
	and depend on that.
	This fixes the launcher pips not to be properly initialized in multi-monitor environments. Fixes: #1027191
	Approved by: PS Jenkins bot

2015-08-24  Iain Lane  <iain@orangesquash.org.uk>

	Update hardcoded libxpathselect1.4 dep (dlopened) to the new v5 name

2015-08-25  Andrea Azzarone andrea.azzarone@canonical.com

	Do not handle events coming from viewports not actually containing the window. Fixes: #1449654
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-08-07  Andrea Azzarone andrea.azzarone@canonical.com

	Minor change.

2015-08-07  Andrea Azzarone andrea.azzarone@canonical.com

	Use nullptr.

2015-08-07  Andrea Azzarone andrea.azzarone@canonical.com

	Do not handle events coming from viewports not actually containing the window.

2015-08-25  Chris Townsend  <christopher.townsend@canonical.com>

	When using keyboard navigation in the Dash, skip category headers that are not expandable. Also, do not highlight the category header when the mouse cursor is over it. Fixes: #1045933
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-05-08  Chris Townsend  <christopher.townsend@canonical.com>

	Make returning from SkipUnexpandableHeaderKeyNav() a bit more efficient.

2015-05-05  Chris Townsend  <christopher.townsend@canonical.com>

	When using keyboard navigation in the Dash, skip category headers that are not expandable.  Also, do not highlight the category header when the mosue cursor is over it.

2015-08-25  Chris Townsend  <christopher.townsend@canonical.com>

	Also use the Compiz show() method when forcing an unmapped window to be visible when clicking on it's active Launcher icon. Fixes: #989588
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-05-29  Chris Townsend  <christopher.townsend@canonical.com>

	Also add the show() method in PluginAdapter::UnMinimize().

2015-05-27  Chris Townsend  <christopher.townsend@canonical.com>

	Also use the Compiz show() method when forcing an unmapped window to be visible when clicking on it's active Launcher icon.

2015-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot: modernize some tests, use stronger methods to ensure false positive
	Approved by: Andrea Azzarone

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, TestSwitcher: use eventually in mouse selection tests

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, TestPanel: use proper grab_area path

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP: dash, fix typo

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, TestDash: use valid property for eventual check

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, TestPanel: add a lambda to verify app/win status

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, test dash: fix issues on refactoring
	
	Properly click object and return geometry of the view (controller has no geo)

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, TestSwitcherMouseInteraction: move mouse at origin before testing
	
	Otherwise our technology to prevent small mouse movements might
	ignore the events and make the test fail.

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, TestSpread: increase the wait time before moving to a window
	
	Unfortunately this seems to be needed to get input in some machines

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, TestPanel: get active indicator using a lambda
	
	In this way we ensure that it gets called repeatdly until there's a result

2015-08-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	panel: ignore WindowButtons that have not been placed yet, as they're not visible

2015-08-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot: use new globalRect property as alias for geometry

2015-08-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot: use some new facilities to move and click over items

2015-08-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityIntrospectionObject: make customization of repr easier

2015-08-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityIntrospectionObject: implement proper __eq__, __ne__ and __repr__ methods

2015-08-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AP, TestDash: fix tab category key nav test to match recent changes
	
	AS per a rencent fix, the first element is selected if the category is not exapandible

2015-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: override the background of the window with transparent color Fixes: #1470292
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-07-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: override the background of the window with transparent color

2015-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionButton: set button opacity to 75% when pressed Fixes: #1301655
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-07-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionButton: set button opacity to 75% when pressed

2015-07-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconTexture: only redraw if opacity actually changed

2015-07-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionView: don't show Lock button if session is currently locked
	
	Yay, double-lock! :)

2015-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesGroup: connect to view changes using a function instead of a lambda
	
	This prevents crashes as there's automatic disconnection. Fixes: #1470298
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-07-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesGroup: connect to view changes using a function instead of a lambda
	
	This prevents crashes as there's automatic disconnection.

2015-07-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultViewGrid: use sigc::mem_fun to connect to QueueDraw

2015-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ensure that we connect to window signals as soon as the AppManager knows it Fixes: #1472326
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ensure that we connect to window signals as soon as the AppManager knows it

2015-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: add back connection to window_closed signal
	
	This was a leftover of the previous refactor.

2015-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: Always unfold an active icon Fixes: #1472339
	Approved by: PS Jenkins bot, Andrea Azzarone, Stephen M. Webb

2015-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: Always unfold an active icon

2015-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: rely on windows monitor property changes for updating Pips
	
	Removing the expensive calls that rely on Compiz window moved events which
	are fired for every window, also if outside the scope of an Icon, so we don't
	have to filter these signals out, but we can just get the monitor.changed signal
	and depend on that.
	This fixes the launcher pips not to be properly initialized in multi-monitor environments. Fixes: #1027191
	Approved by: PS Jenkins bot

2015-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestBamfApplication: veridy children addition properly

2015-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfMockApplication: emit child-{added,removed} signals when setting children

2015-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: rely on windows monitor property changes for updating Pips
	
	Removing the expensive calls that rely on Compiz window moved events which
	are fired for every window, also if outside the scope of an Icon, so we don't
	have to filter these signals out, but we can just get the monitor.changed signal
	and depend on that.
	This fixes the launcher pips not to be properly initialized in multi-monitor environments.

2015-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneAppManager: connect to window events also for newly opend windows

2015-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneAppManager: list monitor changes as well

2015-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfApplicationManager: UpdateWindows on App creation as it might be already running

2015-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MockApplication: use explicit return type with const& or Lambda will fail

2015-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: return a const& WindowList in GetWindows
	
	Since we don't have to fetch anything, we can just avoid copies here.

2015-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfApplicationManager: save windows for each app emitting window_{opened,closed} signal
	
	Reduce the creation of windows, emit opened or closed signals properly when windows
	are added or removed, this fixes the problem of  not getting these signals with sticky apps

2015-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfApplicationManager: try to use cached windows in GetWindowForId at first try

2015-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfApplicationManager: remove cached Apps/Windows on 'closed' signal
	
	This happens as the last thing, then we can be sure that that app or window
	won't be re-created for further signals (as it happened before).
	
	Also don't remove sticky apps, until they are unsticked (and closed).

2015-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: use monitor as property and emit changes

2015-08-03  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20150803.1-0ubuntu1

2015-08-03  Stephen M. Webb  <stephen.webb@canonical.com>

	unity-shared/DebugDBusInterface.cpp: include <iostream> to fix a FTBFS
	Approved by: Eleni Maria Stea

2015-08-03  Stephen M. Webb  <stephen.webb@canonical.com>

	fix a FTBFS with GCC-5 on arm64 due to missing required standard header

2015-08-03  Andrea Azzarone andrea.azzarone@canonical.com

	Enable building unity form source with gcc5.
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-07-31  Andrea Azzarone andrea.azzarone@canonical.com

	Fix for gcc5.

2015-08-03  Andrea Azzarone andrea.azzarone@canonical.com

	Fixes that enable building unity from sources with cmake3 (wily).
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-07-31  Andrea Azzarone andrea.azzarone@canonical.com

	Fix for cmake 3.0

2015-06-27  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20150627.1-0ubuntu1

2015-06-27  Luke Yelavich  <luke.yelavich@canonical.com>

	Implement filter results controls accessibility Fixes: #1457071
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-05-25  Luke Yelavich  <luke.yelavich@canonical.com>

	Switch header include order, hoefully fixes Rm64 FTBFs.

2015-05-08  Luke Yelavich  <luke.yelavich@canonical.com>

	Some code cleanup and improvement, thanks to Marco Trevisan (Treviño)" for the pointers.

2015-05-06  Luke Yelavich  <luke.yelavich@canonical.com>

	Remove some commented out code that is not needed

2015-05-05  Luke Yelavich  <luke.yelavich@canonical.com>

	Whoops, accidently dropped some member variables when moving code around for testing

2015-05-05  Luke Yelavich  <luke.yelavich@canonical.com>

	Implement filter results controls accessibility

2015-06-27  Andrea Azzarone andrea.azzarone@canonical.com

	This likely could fix https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1451613. At least the backtraces posted there suggest this. But I think that those backtraces are just leftovers of old crashes-on-unloading.
	Approved by: Marco Trevisan (Treviño)

2015-05-28  Andrea Azzarone andrea.azzarone@canonical.com

	Avoid using lambda in EdgeBarrierController.

2015-06-27  Andrea Azzarone andrea.azzarone@canonical.com

	Make sure new icons are added to the model before calling SortAndUpdate. Fixes: #1458950
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-05-29  Andrea Azzarone andrea.azzarone@canonical.com

	Make sure new icons are added to the model before calling SortAndUpdate.

2015-06-27  Andrea Azzarone andrea.azzarone@canonical.com

	Fix a regression with urgent icons not showing up if launcher is hidden. Fixes: #1450991
	Approved by: PS Jenkins bot, Stephen M. Webb

2015-05-21  Andrea Azzarone andrea.azzarone@canonical.com

	Properly render urgent icons.

2015-06-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: remove deprecated override style functions, use CSS
	Approved by: PS Jenkins bot, Christopher Townsend

2015-06-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: remove deprecated override style functions, use CSS

2015-06-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: remove alignment deprecated functions
	
	Replace them with gtkwidget parameters

2015-06-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayWindowButtons: trigger a queuedraw also when a child requires a redraw Fixes: #1461618
	Approved by: PS Jenkins bot, Christopher Townsend

2015-06-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayWindowButtons: trigger a queuedraw also when a child requires a redraw

2015-06-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowButton: emit visual_state_change signal when we change the state

2015-06-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: connect to target window / application title changes
	
	This will be smart enough to work with LIM and global menus Fixes: #1418449
	Approved by: PS Jenkins bot, Christopher Townsend

2015-04-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with  lp:~3v1n0/unity/application-manager-new

2015-04-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfApplicationManager: use bamf_matcher_get_application_for_xid to get windows for id
	
	This reduces the DBus traffic

2015-04-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: connect to target window / application title changes
	
	This will be smart enough to work with LIM and global menus

2015-06-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: add missing features, keep a copy of views around
	
	Use this in PanelMenuView, getting rid of the BAMF internal at this level.
	Approved by: PS Jenkins bot, Christopher Townsend

2015-05-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestAppliactionLauncherIcon: ensure window is activ

2015-05-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MockApplicationWindow: make LocalFocus to activate the window as well

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: use window active state for generating quicklist

2015-04-21  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: add "natuilus.desktop" back to the fliemanager list

2015-04-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: add RefreshAndRedraw utility function
	
	Instead of duplicating the same code everywhere

2015-04-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-03-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneAppManager: add missing mock type in switch

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lim-everywhere again

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/lim-everywhere

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: add MOCK {App,Window}Type

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	panel: link standalone version with unity-shared-bamf

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfApplicationManager: do safer convertion from bamf window type to unity::WindowType

2015-02-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: use ApplicationManager to handle windows
	
	Remove the usage of BAMF internals, this allows better testability
	and less resources usage.

2015-02-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BamfApplicationManager: make sure we don't emit signals with null apps

2015-02-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationManager: add missing features, keep a copy of views around
	
	This might be still improved when BAMF crashes/reloads, so that we can rebuild the table

2015-06-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeSessionManager: Request ScreenSaver (de)activation on VT changes
	
	Connect to login1 session active property, and monitor its state.
	When the session is active we can safely request the screensaver to stop. Fixes: #1405349
	Approved by: PS Jenkins bot, Christopher Townsend

2015-05-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeSessionManager: Request ScreenSaver (de)activation on VT changes
	
	Connect to login1 session active property, and monitor its state.
	When the session is active we can safely request the screensaver to stop.

2015-05-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GLibDBusProxy: Notify invalidated properties as well, by emitting a null value for them
	
	It's then up to the client to get the value.
	And plus fix the signature of the OnPropertyChanged callback.

2015-06-27  Chris Townsend  <christopher.townsend@canonical.com>

	Allow mouse clicks that are not in the visible area of the Quicklist to pass through down to the Launcher icon. Fixes a failing AP test. Fixes: #1456245
	Approved by: Marco Trevisan (Treviño)

2015-05-20  Chris Townsend  <christopher.townsend@canonical.com>

	Use CairoBaseWindow::FindAreaUnderMouse.
	Use _anchorX instead of _padding.

2015-05-20  Chris Townsend  <christopher.townsend@canonical.com>

	Add override to the new method.

2015-05-20  Chris Townsend  <christopher.townsend@canonical.com>

	Allow mouse clicks that are not in the visible area of the Quicklist to pass through down to the Launcher icon.  Fixes a failing AP test.

2015-05-22  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20150522-0ubuntu1

2015-05-22  Luke Yelavich  <luke.yelavich@canonical.com>

	Implement scope bar icon accessibility Fixes: #1457073
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-03-25  Luke Yelavich  <luke.yelavich@canonical.com>

	Implement scope bar icon accessibility

2015-05-22  Chris Townsend  <christopher.townsend@canonical.com>

	Enable real page up/page down key navigation in the Dash. When using these keys the view scrolls the length of the visible view. Fixes: #913612
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-05-05  Chris Townsend  <christopher.townsend@canonical.com>

	Use a signal instead of a nux::Property since we are not storing any value.

2015-05-04  Chris Townsend  <christopher.townsend@canonical.com>

	Move the ScrollDir enum class to the anonymous namespace and use ScrollDir instead of a bool when signalling which direction to page.

2015-04-30  Chris Townsend  <christopher.townsend@canonical.com>

	Clean up the case handling of the page up and page down keys and also only do these when a preview is not showing.

2015-04-29  Chris Townsend  <christopher.townsend@canonical.com>

	Enable real page up/page down key navigation in the Dash.  When using these keys the view scrolls the length of the visible view.

2015-05-22  Chris Townsend  <christopher.townsend@canonical.com>

	If dragging an application:// uri type from the Dash to the desktop, change it to a file:// uri type so Nautilus can understand the type a make a copy of it on the desktop. Fixes: #1241972
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-04-28  Chris Townsend  <christopher.townsend@canonical.com>

	Make changes as suggested by Marco's review.

2015-04-27  Chris Townsend  <christopher.townsend@canonical.com>

	If dragging an application:// uri type from the Dash to the desktop, change it to a file:// uri type so Nautilus can understand the type a make a copy of it on the desktop.

2015-05-22  Chris Townsend  <christopher.townsend@canonical.com>

	If Spread/Expo is active, then terminate it when entering Launcher keynav mode. Fixes: #1447810
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-05-08  Chris Townsend  <christopher.townsend@canonical.com>

	Move the 'key_nav_mode_requested=false' inside the test so we don't always set that even if it's not needed.

2015-04-24  Chris Townsend  <christopher.townsend@canonical.com>

	If Spread/Expo is active, then terminate it when entering Launcher keynav mode.

2015-05-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	
	
	ResultViewGrid: wait for double-click event only if the relative result needs the Preview
	
	This was causing a 500ms delay between the user click and some results (apps) activation.
	Also, at this point, we can get rid of PREVIEW_LEFT_BUTTON activation type. Fixes: #1291950, #1447372
	Approved by: Christopher Townsend, Brandon Schaefer, PS Jenkins bot

2015-04-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashView: use new SearchBar in_live_search property

2015-04-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: add in_live_search ROProperty, add more lambdas

2015-04-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashView: reduce delay on key-activation of first result
	
	If user hits enter, then the first result has to be activated quickly.
	So, we now wait 300ms since the live search has ended (this doesn't mean
	we already have all the results, but we might have some of them) and
	at this point if the user has already hit Enter key we activate the first result.
	In case the user hits Enter after 300ms that the live search has ended,
	we simply and promptly activate the first result.

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BGHash: request redraw only if WindowThread is initialized
	
	This was causing a crash in standalone dash

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Unity: remove various unneeded g{d,t}k inclusions...

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultViewGrid: don't wait double-click if a local result doesn't support preview
	
	This fixes slow click events on Alt+F2 scope

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultView: add GetLocalResultActivateType that returns how a result should be activated

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultView: define default_click_activation getter to make it depends on Settings

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScopeView: initialize results_view in any case.

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultViewGrid: wait for double-click event only if the default_click_activation is PREVIEW
	
	This was causing a 500ms delay between the user click and some results (apps) activation.
	Also, at this point, we can get rid of PREVIEW_LEFT_BUTTON activation type.

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScopeView: set default_click_activation on ResultViewGrid to DIRECT on apps
	
	This property has to be DIRECT when we handle apps or when the user has
	requested this behavior using settings.

2015-04-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultView: add default_click_activation property
	
	This is set to DIRECT by default, also move to enum class

2015-05-22  Chris Townsend  <christopher.townsend@canonical.com>

	Wait on Spread to be terminated before showing the Quicklist. Fixes: #1441626
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-04-23  Chris Townsend  <christopher.townsend@canonical.com>

	Wait on Spread to be terminated before showing the Quicklist.

2015-05-22  Chris Townsend  <christopher.townsend@canonical.com>

	Add necessary signaling to set the BFB icon's tooltip and the Home Scope's default search string to accurately reflect if searching online is enabled or disabled in unity-system-settings. Fixes: #1101662, #1202160
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-04-23  Chris Townsend  <christopher.townsend@canonical.com>

	Fixed formatting in last commit.

2015-04-23  Chris Townsend  <christopher.townsend@canonical.com>

	Make sure the Home Scope is valid before setting it's search hint.  Fixes seg faults in the unit tests.

2015-04-23  Chris Townsend  <christopher.townsend@canonical.com>

	Rename some functions to be more descriptive.
	Use a property instead of a signal.

2015-04-22  Chris Townsend  <christopher.townsend@canonical.com>

	Add necessary signaling to set the BFB icon's tooltip and the Home Scope's default search string to accurately reflect if searching online is enabled or disabled in unity-system-settings.

2015-05-12  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.10.20150512-0ubuntu1

2015-05-12  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	The skydome rendering of the cube plugin was wrong with unity because transformation matrices set by the unityshell plugin were left in the opengl matrix stacks affecting other compiz plugins. Saving the compiz state at the beginning of the unityshell plugin rendering functions and restoring it at the end of them fixes the problem. Fixes: #1446165
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-04-27  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	renamed static functions

2015-04-21  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	cleanup diff (removed empty line)

2015-04-21  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	renamed push_all/pop_all to something more relevant

2015-04-21  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	cleanup diff (newlines/spaces)

2015-04-21  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	use the minimum push and pop possible to not see errors in compiz

2015-04-20  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	added #ifndef USE_GLES 

2015-04-20  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	removed save/restore framebuffer (it's not necessary)

2015-04-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	removed unused function

2015-04-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	save and restore fbo

2015-04-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	restore shader as well

2015-04-15  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	preserving the compiz state before applying the unity transformations
	(fixes the compiz skydome and other issues)

2015-05-12  Chris Townsend  <christopher.townsend@canonical.com>

	Add option to enable and disable Unity low graphics mode on the fly in ccsm or via gsettings. Fixes: #1412937
	Approved by: Marco Trevisan (Treviño)

2015-04-21  Chris Townsend  <christopher.townsend@canonical.com>

	Add check to whether the low graphics mode has really changed before emitting the signal.

2015-04-21  Chris Townsend  <christopher.townsend@canonical.com>

	Add option to enable and disable Unity low graphics mode on the fly in ccsm or via gsettings.

2015-05-12  Chris Townsend  <christopher.townsend@canonical.com>

	Save the active window when showing the Dash so the correct window is focused when hiding the Dash. Fixes issue when "Always on Top" windows are present. Fixes: #1446634
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-04-21  Chris Townsend  <christopher.townsend@canonical.com>

	Save the active window when showing the Dash so the correct window is focused when hiding the Dash.  Fixes issue when "Always on Top" windows are present.

2015-05-12  Chris Townsend  <christopher.townsend@canonical.com>

	Save the active window when showing the Hud so the correct window is focused when hiding the Hud. Fixes issue when "Always on Top" windows are present. Fixes: #1366583
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-04-17  Chris Townsend  <christopher.townsend@canonical.com>

	Save the active window when showing the Hud so the correct window is focused when hiding the Hud.  Fixes issue when "Always on Top" windows are present.

2015-05-12  Chris Townsend  <christopher.townsend@canonical.com>

	When using the left arrow to exit a Quicklist, Launcher keynav is implied and should be active regardless of how the Quicklist was opened. Fixes: #1444626
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-04-16  Chris Townsend  <christopher.townsend@canonical.com>

	When using the left arrow to exit a Quicklist, Launcher keynav is implied and should be active regardless of how the Quicklist was opened.

2015-04-16  Chris Townsend  <christopher.townsend@canonical.com>

	Merge lp:~townsend/unity/fix-keynav-bfb-quicklist since it's a prerequisite.

2015-05-12  Chris Townsend  <christopher.townsend@canonical.com>

	Add new signal to tell the Launcher to terminate keynav mode and use that signal when a BFB quicklist item is chosen. Fixes: #1052024, #1444643
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-04-16  Chris Townsend  <christopher.townsend@canonical.com>

	Move the logic to terminate Launcher keynav inside the code that has already determined a Launcher icon was clicked.

2015-04-15  Chris Townsend  <christopher.townsend@canonical.com>

	Revert the previous fix of using a UBus message.  Instead, use a signal in which the Launcher will signal the LauncherController to disable KeyNav if the Launcher is clicked with a mouse.

2015-04-14  Chris Townsend  <christopher.townsend@canonical.com>

	Add new signal to tell the Launcher to terminate keynav mode and use that signal when a BFB quicklist item is chosen.

2015-05-12  Chris Townsend  <christopher.townsend@canonical.com>

	Send signal to ensure the Dash will show when entering keynav mode since the first icon always highlighted is the BFB. Fixes: #1444113
	Approved by: Marco Trevisan (Treviño)

2015-04-16  Chris Townsend  <christopher.townsend@canonical.com>

	In the KeyNav movement functions, add a check to see if the icon is the BFB and if so, send message to ensure the Dash will show.

2015-04-14  Chris Townsend  <christopher.townsend@canonical.com>

	Send signal to ensure the Dash will show when entering keynav mode since the first icon always highlighted is the BFB.

2015-05-12  Chris Townsend  <christopher.townsend@canonical.com>

	Remove code that is no longer needed and broke opening application spread while in Launcher keynav mode. Fixes: #1445082
	Approved by: Marco Trevisan (Treviño)

2015-04-17  Chris Townsend  <christopher.townsend@canonical.com>

	Remove code that is no longer needed and broke opening application spread while in Launcher keynav mode.

2015-05-12  Chris Townsend  <christopher.townsend@canonical.com>

	When looking for the top-most valid window in a VP, also check if the window is focused if the window is set to Always on Top. This allows Launcher icon spread to work properly when a window is minimized an Always on Top exists in the group.
	Fixes: #1131385
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2015-04-09  Chris Townsend  <christopher.townsend@canonical.com>

	When looking for the top-most valid window in a VP, also check if the window is focused if the window is set to Always on Top.  This allows Launcher icon spread to work properly when a window is minimized an Always on Top exists in the group.

2015-04-20  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.04.20150420-0ubuntu1

2015-04-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager, settings: go back to Global Menus as default
	
	As per design decision. Fixes: #1446256
	Approved by: Stephen M. Webb

2015-04-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager, settings: go back to Global Menus as default
	
	As per design decision.

2015-04-10  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.04.20150410.1-0ubuntu1

2015-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: terminate spread if active when initiating Switcher
	
	Also avodon't make the SpreadFilter to unset the nux key-focus area on destruction. Fixes: #1412001
	Approved by: Christopher Townsend, PS Jenkins bot

2015-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSpreadFilter: include SearchBar

2015-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SpreadFilter: no need to manually unset the key-focus area or remove from layout queue
	
	This is now done inside nux::Area::~Area, and leaves the focus to the upcoming views
	(such as the switcher view).

2015-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: terminate spread if active when initiating Switcher

2015-04-10  Gerry Boland  <gerry.boland@canonical.com>

	SwitcherController: add first selection mode property, to decide what to select at first
	
	Add option to have Switcher strictly between applications, and not select the previously focused window as first selection (even if that window part of the same application) Fixes: #998285
	Approved by: Gerry Boland, Christopher Townsend, PS Jenkins bot

2015-04-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherController: set FirstSelectionMode::LAST_ACTIVE_VIEW as default

2015-04-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-04-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherController: use properties better

2015-04-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherController: save settings in controller, and update them from compiz

2015-02-04  Gerry Boland  <gerry.boland@canonical.com>

	Add option to have Switcher strictly between applications, and not select the previously focused window as first selection (even if that window part of the same application)

2015-04-10  Brandon Schaefer  <brandontschaefer@gmail.com>

	When we get a launcher key press (ie. super key). We check if the command lens is open. If it is then just switch the lens to the home lens. This way we dont close the dash. Fixes: #1108956
	Approved by: Stephen M. Webb, Christopher Townsend, PS Jenkins bot

2015-04-10  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Fix AP tests

2015-03-31  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Finally fixes the issue where you cant go from the command lens to the home dash

2015-04-10  Stephen M. Webb  <stephen.webb@canonical.com>

	test_wm_keybindings: fix AP failures caused by upstream Compiz change Fixes: #1294864
	Approved by: Christopher Townsend

2015-04-10  Stephen M. Webb  <stephen.webb@canonical.com>

	adjust previous fix to use floating-point division

2015-04-10  Stephen M. Webb  <stephen.webb@canonical.com>

	test_wm_keybindings: fix AP failures caused by upstream Compiz change

2015-04-10  Stephen M. Webb  <stephen.webb@canonical.com>

	(Ubuntu packaging) move the session migration scripts to Python3 Fixes: #1440560
	Approved by: Christopher Townsend, PS Jenkins bot

2015-04-06  Stephen M. Webb  <stephen.webb@canonical.com>

	migration scripts: used /usr/bin/python3 shebang instead of Python-recommended /usr/bin/env

2015-04-05  Stephen M. Webb  <stephen.webb@canonical.com>

	move migration scripts to python3

2015-04-10  Stephen M. Webb  <stephen.webb@canonical.com>

	fixed the Panel title string expected by Launcher keynav AP tests Fixes: #1435830
	Approved by: Christopher Townsend, PS Jenkins bot

2015-03-26  Stephen M. Webb  <stephen.webb@canonical.com>

	made the test_launcher_keynav_changes_panel test conform to design requirements

2015-03-24  Stephen M. Webb  <stephen.webb@canonical.com>

	AP tests: updated panel title expectd during keynav tests

2015-03-30  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.04.20150330-0ubuntu1

2015-03-30  Sebastien Bacher  <seb128@ubuntu.com>

	use the new nautilus .desktop name Fixes: #1436297
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-03-25  Sebastien Bacher  <seb128@ubuntu.com>

	use the new nautilus .desktop name

2015-03-30  Stephen M. Webb  <stephen.webb@canonical.com>

	AP tests: accounted for arbitrarily-raised exceptions in checking scaled windows Fixes: #1436095
	Approved by: Christopher Townsend, PS Jenkins bot

2015-03-24  Stephen M. Webb  <stephen.webb@canonical.com>

	AP tests: accounted for arbitrarily-raised exceptions in checking scaled windows

2015-03-30  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure that signals are auto-desconnected when XdndStartStopNotifierImp is destroyed.
	Fixes: #1432231
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-03-27  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure that signal are auto-desconnected when XdndStartStopNotifierImp is destroyed.

2015-03-30  Andrea Azzarone  <azzaronea@gmail.com>

	Forward first key event that happens on top of the blank window to the lockscreen. Fixes: #1308265
	Approved by: Christopher Townsend, PS Jenkins bot

2015-03-24  Andrea Azzarone  <azzaronea@gmail.com>

	Forward first key event that happens on top of the blank window to the lockscreen.

2015-03-30  Andrea Azzarone  <azzaronea@gmail.com>

	Release pointer barrier if launcher is in lock_hide state.
	Fixes: #1029114
	Approved by: Christopher Townsend, PS Jenkins bot

2015-03-23  Andrea Azzarone  <azzaronea@gmail.com>

	Release pointer barrier if launcher is in lock_hide state.

2015-03-30  Andrea Azzarone  <azzaronea@gmail.com>

	Hide launcher to avoid damaging window when not needed. Also make sure that pressure effect works fine (previous fix has been reverted because of this!). Fixes: #1301394
	Approved by: Marco Trevisan (Treviño)

2015-03-23  Andrea Azzarone  <azzaronea@gmail.com>

	Impre readability.

2015-03-23  Andrea Azzarone  <azzaronea@gmail.com>

	Hide launcher to avoid damaging window when not needed. Also make sure that pressure effect works fine.

2015-03-30  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure scope_views_[filter.id] exists before using operator[] on it. Fixes: #926979
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-03-20  Andrea Azzarone  <azzaronea@gmail.com>

	Check the use of std::*map::operator[].

2015-03-30  Andrea Azzarone  <azzaronea@gmail.com>

	Do not restore focus if a quicklist is opened during launcher key navigation. Fixes: #932486
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-03-20  Andrea Azzarone  <azzaronea@gmail.com>

	Do not refocus window when opening a quicklist during launcher key navigation.

2015-03-24  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.2+15.04.20150324.1-0ubuntu1

2015-03-24  Brandon Schaefer  <brandontschaefer@gmail.com>

	When we quit the quicklist it would check if the mouse was over the launcher, if it wasn't it would fold the launcher. We don't need to check this if we are in keynav as we want all the icons to be unfolded. Fixes: #1246891
	Approved by: Christopher Townsend

2015-03-13  Brandon Schaefer  <brandontschaefer@gmail.com>

	* If we are in KeyNav mode do not check if we should set hover or not.

2015-03-24  Stephen M. Webb  <stephen.webb@canonical.com>

	silenced GCC 5 warnings Fixes: #1430784
	Approved by: Christopher Townsend, PS Jenkins bot

2015-03-13  Stephen M. Webb  <stephen.webb@canonical.com>

	work around new GCC 5 warnings in GTest code

2015-03-12  Stephen M. Webb  <stephen.webb@canonical.com>

	HudController.cpp: bind value of correct type to signal

2015-03-24  Stephen M. Webb  <stephen.webb@canonical.com>

	uses the new upstream .desktop file for D-Bus activated Nautilus instances Fixes: #1428837
	Approved by: Christopher Townsend, PS Jenkins bot

2015-03-05  Stephen M. Webb  <stephen.webb@canonical.com>

	used D-bus activation .desktop file for Nautilus in AP tests

2015-03-24  Chris Townsend  <christopher.townsend@canonical.com>

	Use a 2 second delay before showing the first run shortcut hints to workaround a race condition on input handling. Fixes: #1313597
	Approved by: Stephen M. Webb

2015-03-05  Chris Townsend  <christopher.townsend@canonical.com>

	Use a 2 second delay before showing the first run shortcut hints to workaround a race condition on input handling.

2015-03-24  Stephen M. Webb  <stephen.webb@canonical.com>

	fix AP test failure due to new parameter added to key grabbing Fixes: #1433648
	Approved by: Christopher Townsend, Marco Trevisan (Treviño)

2015-03-24  Stephen M. Webb  <stephen.webb@canonical.com>

	fixed AP tests to match code changes

2015-03-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: add timestamp support to accelerators Fixes: #1433648
	Approved by: Sebastien Bacher, Christopher Townsend, PS Jenkins bot

2015-03-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: add timestamp support to accelerators

2015-03-19  Stephen M. Webb  <stephen.webb@canonical.com>

	Upstream release 7.3.2.

2015-02-27  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.1+15.04.20150227-0ubuntu1

2015-02-27  Andrea Azzarone  <azzaronea@gmail.com>

	Draw osk above unity shell. Fixes: #1413165
	Approved by: Marco Trevisan (Treviño)

2015-01-21  Andrea Azzarone  <azzaronea@gmail.com>

	Use an atom to check if a window is an osk.

2015-01-21  Andrea Azzarone  <azzaronea@gmail.com>

	Draw osk above unity shell

2015-02-27  Andrea Azzarone  <azzaronea@gmail.com>

	Remove FontSettings.*.
	Add the possibility to specify the font size and the font weight without chaning the default font name.
	Fix lp 886478. Fixes: #886478
	Approved by: Brandon Schaefer, Marco Trevisan (Treviño)

2015-02-13  Andrea Azzarone  <azzaronea@gmail.com>

	Add the possibility to specify the font size and the font weight without chaning the default font name.
	Fix lp 886478.

2015-02-27  Andrea Azzarone  <azzaronea@gmail.com>

	Remove unitydialog plugin.
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-02-05  Andrea Azzarone  <azzaronea@gmail.com>

	Remove unitydialog plugin.

2015-02-27  Luke Yelavich  <luke.yelavich@canonical.com>

	Explore children when a view or layout is added
	
	The dash results view grid objects are not being created when the dash is opened. Force an exploration of the children of a view or layout to make sure any dynamically added/removed objects in the dash can be found. Fixes: #1066157
	Approved by: Stephen M. Webb

2015-02-20  Luke Yelavich  <luke.yelavich@canonical.com>

	Explore children when a view or layout is added
	
	The dash results view grid objects are not being created when the
	dash is opened. Force an exploration of the children of a view or layout to
	make sure any dynamically added/removed objects in the dash can be found.

2015-02-27  Luke Yelavich  <luke.yelavich@canonical.com>

	Set focus to FALSE on window deactivation
	
	This ensures that dash results can be reviewed with orca and other assistive apps when the dash is opened more than once in a session. Fixes: #1066157
	Approved by: PS Jenkins bot

2015-02-20  Luke Yelavich  <luke.yelavich@canonical.com>

	Set focus to FALSE on window deactivation
	
	This ensures that dash results can be reviewed with orca and other assistive
	apps when the dash is opened more than once in a session.

2015-02-27  Luke Yelavich  <luke.yelavich@canonical.com>

	Move the unity a11y present environment call
	
	With this change, one can now use accerciser to explore Unity's accessibility object hierarchy again.
	Approved by: PS Jenkins bot

2015-02-20  Luke Yelavich  <luke.yelavich@canonical.com>

	Move the unity a11y present environment call
	
	With this change, one can now use accerciser to explore Unity's accessibility
	object hierarchy again.

2015-02-19  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.1+15.04.20150219.2-0ubuntu1

2015-02-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Decorations, Panel: add menus for unfocused windows as well
	
	Now the indicator-appmenu exports the menus for all the windows,
	then it's up to us to filter them based on their parent window and
	show on relevant place.
	Also, set LIM as default now. Fixes: #1309778
	Approved by: Andrea Azzarone, PS Jenkins bot

2015-02-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, test{dash,hud}: fix tests to adapt to new HUD/Dash behaviors with fullscreen windows

2015-02-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, test_wm_keybindings: fix tests to make them not dependent on apps
	
	They just work with indicators anyway

2015-02-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, test_panel: add specific LIM tests on PanelLimTests

2015-02-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, test_panel: fix some unstable tests on LIMs

2015-02-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: force redraw title in case we changed the focused state
	
	This is way better than we used to do...

2015-02-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: use HasVisibleMenus() instead of !entries_.empty() as there always will be a drop-down entry

2015-02-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, test_panel: pass window to ensure_window_state

2015-02-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelWindowButtonsActionsTests: just inherit from PanelTestsBase
	
	Otherwise tests will repeat

2015-02-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, tests: use Gio.Settings and Variant to set gsettings values

2015-02-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, test_panel: repeat window buttons actions when panel is unfocused

2015-02-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, test_panel: add "Global Menus" and "Integrated Menus" scenarios and fix tests on LIM
	
	Repeat all the tests in both the Global and Integrated menu modes, checking different behaviors.

2015-02-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, panel: add focused property
	
	It actually reflects the menu view area

2015-02-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: add "focused", "maximized_window" and "integrated_menus" to introspection

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DBusIndicators: don't crash on mismatching variant signature, log errors

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestAppmenuIndicator: add syncronization tests

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: just use operator[] to access to window entries vector

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UBusWrapper: use next iterator provided by erase instead of manual handling

2015-02-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: use next iterator provided by erase instead of manual handling

2015-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: also raise windows on panel activation

2015-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneWindowManager: emit resized/moved on geo changes

2015-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestPanelMenuView: don't make BAMF interact with us
	
	And fix non-LIM issues

2015-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: verify that whether a maximized window is valid for us when moved/resized

2015-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorEntryView: don't terminate scale if in menu-mode

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesVScrollBar: use internal cairo context or we'll have a leak

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: protect from crashes when parent indicator is destructed

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuEntry, PanelMenuView: don't open menus on unfocused windows if not enabled

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnitySettings: add lim_unfocused_popup option

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuEntry: don't try to open a menu on right/middle clicks if a WM action is set

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager (and gschema): set LIM as default

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/control: suggest proper version of indicator-appmenu

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: don't build menus if the window has not
	
	Once they're added, we'll rebuild this anyway (but we'll be protected by invisible menus)...

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: fix scalability of window buttons padding

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuLayout: insert items ordered by menu priorities

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Unity: Use unordered_map whenever possible
	
	As iterating over it seems just fast as in the ordered version, we just speedup lookups and insertions.

2015-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsManager: only update the window menus where they have changed
	
	Now we only rebuild the menubar of windows that got a changed signal,
	instead of rebuilding appmenu for everything.

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: override Sync method and emit updated_win whe one changes
	
	This will allow us to reduce the operations for all the windows

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsManager: don't pass events to InputMixer when in scale

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: only grabs the keys for the active window

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: keep a reference on WindowManager, and initialize ASAP
	
	In this way WindowsManager::Default() will be always available by our clients.

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: return self on initialization

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: keep the entries in a map, per each window so we can get them quickly

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: keep the window panel ID around, as the win->id() might be 0 on destruction

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestIndicator: update for new APIs

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Indicator: use indicator::Entry to emit that an element has been removed

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: remove the ugly active_window property

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: update ShowNow property on entries based on the current active window

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelView: use HasKeyActivableMenus to verify whether opening an entry on key activation

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: only add menu entries with the parent that matches the current window in control
	
	Also move some variables to properties to be notified automagically on changes

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorEntryView: add show_now_changed signal
	
	In this way we can disconnect from it automatically when the view entry gets deleted
	but the entry is still alive (multi-monitor case)

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestIndicator: adapt to new API

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorEntryDropdownView: add clear method and pass the window xid to ups

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuDropdown: set the window id as entry id
	
	And pass the window xid to the panel service

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsPriv: add missing definition for GetMenusPanelID

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorsView: make a view activable by position even if not focused

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorsView: add ClearEntries method and only remove an item if it's a known id

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelIndicatorsView: call overridable function when adding the indicator entries

2015-02-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: it's not needed anymore to notify when app focus changes

2015-01-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Decorations: Include the window xid on the panel name when syncing with ups
	
	In this way every window is a single panel, and thus ups will handle input
	events correctly.

2015-01-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsManager: setup app menus on all windows, not only on active one
	
	We should optimize code in order not to update every window on every menu change.

2015-01-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: build menus for all the windows, not only for the decorated one

2015-01-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuDropdown: paint using backdrop state if not focused

2015-01-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuEntry: expose GrabEdge to extenders

2015-01-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuEntry: paint using the correct state when not focused

2015-01-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsMenuLayout: only add menus for the related window

2015-01-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: fix SYNC_WAITING to be really an uint

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: Since we're using a lot the appmenu indicator, let's keep a reference of it

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: export the AppMenu library name in private header

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: Ignore quick entries removal/additions
	
	This allows to remove elements from geometry hash-table when needed,
	being safer when looking for their geometries on panel clicks

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: ensure menus are closed also on entry removal
	
	Plus, fix an issue we had when trying to remove the last entry of a panel geo

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: enable "unity-all-menus" environment variable
	
	This will make IndicatorAppmenu to spam us with all the menus it knows :)

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: when looking for a panel, verify the entry is still valid before deferencing it

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: compute entry panel based also on the parent window

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: don't emit invalid panel/entry values

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: define periority per parent window

2015-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsSlidingLayout: don't try to draw the input item if it's not visible

2015-01-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsWidgets: simplify GetTopParent

2015-01-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DBusIndicators: rebuild entry only if priority has changed (don't keep track of index at this level)

2015-01-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2014-12-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: get entries by for parent window

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Indicator: erase entries in one pass and use a vector instead than a list

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService, DBusIndicators, IndicatorEntry: add a parent_window parameter to Entry

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: share service names, path, and iface using the private header

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: add entry signature definitions in private header and use them everywhere
	
	So we don't have to rewrite the same unreadable string of types everywhere.

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lim-visibility-fixes branch

2015-02-11  Stephen M. Webb  <stephen.webb@canonical.com>

	Release 7.3.1

2015-02-05  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.1+15.04.20150205-0ubuntu1

2015-02-05  Brandon Schaefer  <brandon.schaefer@canonical.com>

	Try to set the folder permission otherwise Handle permission error. Fixes: #1418255
	Approved by: PS Jenkins bot, Andrea Azzarone, Marco Trevisan (Treviño)

2015-02-05  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Remove prints

2015-02-05  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Fix migration script to force 0700 permissions on the folder
	* If there is a permissions issue, catch it, and handle it! (ie. Dont crash!)

2015-02-05  Andrea Azzarone  <azzaronea@gmail.com>

	Actually connect to changed::* signal in UnitySettings.cpp. Fixes: #1408212
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-02-04  Andrea Azzarone  <azzaronea@gmail.com>

	Actually connect to changed::* signal in UnitySettings.cpp.

2015-02-05  Andrea Azzarone  <azzaronea@gmail.com>

	Actually connect to changed::* signal in MenuManager.cpp. Fixes: #1411620
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2015-02-04  Andrea Azzarone  <azzaronea@gmail.com>

	Actually connect to changed::* signal in MenuManager.cpp.

2015-01-26  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.1+15.04.20150126-0ubuntu1

2015-01-26  Andrea Azzarone  <azzaronea@gmail.com>

	Make unity unlockable if user is in nopsswdlogin group. On super+l the screensaver is activated. Fixes: #1413790
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-01-24  Andrea Azzarone  <azzaronea@gmail.com>

	Revert changes to pam/unity.

2015-01-24  Andrea Azzarone  <azzaronea@gmail.com>

	Disable lock if user is in nopasswdlogin group.

2015-01-23  Andrea Azzarone  <azzaronea@gmail.com>

	Make unity unlockable by default if user is in nopsswdlogin group.

2015-01-26  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure dragged icons are not rendered behind the dash. Fixes: #1413773
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-01-22  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure dragged icons are not rendered behind the dash.

2015-01-26  Andrea Azzarone  <azzaronea@gmail.com>

	Disable markup accel for VolumeLauncherIcon quicklist menu items. Fixes: #1413411
	Approved by: Stephen M. Webb, PS Jenkins bot

2015-01-22  Andrea Azzarone  <azzaronea@gmail.com>

	Disable markup accel for VolumeLauncherIcon quicklist menu items.

2015-01-26  Andrea Azzarone  <azzaronea@gmail.com>

	Force icon size (new gtk requires it). Fixes: #1404730
	Approved by: Marco Trevisan (Treviño)

2015-01-15  Andrea Azzarone  <azzaronea@gmail.com>

	Force icon size (new gtk requires it).

2015-01-15  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.1+15.04.20150115-0ubuntu1

2015-01-15  Andrea Azzarone  <azzaronea@gmail.com>

	Avoid running pontentially dangerous code paths when the screen is locked. Fixes: #1410582
	Approved by: Stephen M. Webb

2015-01-14  Andrea Azzarone  <azzaronea@gmail.com>

	Avoid running pontentially dangerous path when the screen is locked.

2015-01-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: make sure menus are always shown when mouse is over them or when the always-show-menus option is on Fixes: #955193, #1312137, #1374942, #1390562
	Approved by: Stephen M. Webb

2015-01-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: use std::to_string to correctly stringify a number

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: move integrated_menus property here, from decoration::Style
	
	This is not related to decoration or stiling at all, so it's better to keep it there

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: add setting to control menu visibility and use that value

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: always show menus if the relative option in MenuManager is active_xid_
	
	Include some usual cleanup and ignore unneeded events and redraws in case this option is enabled.

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsManager: update the active window menus if always_show_menus changes

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: always show input item in sliding layout if always_show_menus is enabled

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsSlidingLayout: add property to always override main item (with input item)

2014-12-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: add always_show_menus property
	
	False by default

2014-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: wait a little more before sending an updated signal
	
	To avoid false positives

2014-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AppmenuIndicator: keep track of the active window, and re-send an updated signal if that changes
	
	And we didn't get an update yet

2014-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MenuManager: use the proper type to return the AppMenu indicator

2014-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UScreen: cleanup code in GetMonitorAtPosition

2014-12-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: ensure we disconnect from grab_mouse_changed_ signals

2014-12-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: trap more X errors

2014-12-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2014-11-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: don't hide menus when moving mouse out and ShowNow is active

2015-01-15  Andrea Azzarone  <azzaronea@gmail.com>

	Show session dialog over fullscreen windows. Fixes: #1404486
	Approved by: Stephen M. Webb

2014-12-20  Andrea Azzarone  <azzaronea@gmail.com>

	Show session dialog over a full screen window.

2015-01-15  Andrea Azzarone  <azzaronea@gmail.com>

	Enable dash and hud if there is a fullscreen window. Fixes: #860970, #1159249
	Approved by: Marco Trevisan (Treviño)

2014-12-19  Andrea Azzarone  <azzaronea@gmail.com>

	Enable dash and hud if there is a fullscreen window.

2015-01-15  Andrea Azzarone  <azzaronea@gmail.com>

	Use std::weak_ptr to avoid referencing an invalid barrier. Fixes: #1238063
	Approved by: Stephen M. Webb, Marco Trevisan (Treviño)

2015-01-14  Andrea Azzarone  <azzaronea@gmail.com>

	Fix tests/test_pointer_barrier.cpp

2015-01-14  Andrea Azzarone  <azzaronea@gmail.com>

	Merge the branch.

2014-12-12  Andrea Azzarone  <azzaronea@gmail.com>

	Use a weak_ptr to avoid crashes.

2015-01-15  Andrea Azzarone  <azzaronea@gmail.com>

	Disable Pointer Barriers during lockscreen. Fixes: #1401911
	Approved by: Stephen M. Webb

2014-12-12  Andrea Azzarone  <azzaronea@gmail.com>

	Disable Pointer Barriers during lockscreen.

2015-01-12  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.1+15.04.20150112-0ubuntu1

2015-01-12  Andrea Azzarone  <azzaronea@gmail.com>

	Remove unsed StartupNotifyService.* 
	Approved by: Stephen M. Webb

2014-12-20  Andrea Azzarone  <azzaronea@gmail.com>

	Remove unsed StartupNotifyService.*

2015-01-12  Brandon Schaefer  <brandon.schaefer@canonical.com>

	Remove deprecated code that is no longer supported:
	https://mail.gnome.org/archives/commits-list/2014-July/msg00351.html Fixes: #1404326
	Approved by: Stephen M. Webb, Marco Trevisan (Treviño)

2015-01-12  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Fix the other deprecated code

2015-01-09  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Remove deprecated code that is no longer supported:
	https://mail.gnome.org/archives/commits-list/2014-July/msg00351.html

2014-12-16  CI Train Bot  <ci-train-bot@canonical.com>

	Releasing 7.3.1+15.04.20141216-0ubuntu1

2014-12-16  Stephen M. Webb  <stephen.webb@canonical.com>

	fix AP test failures due to upstream FileRoller .desktop file rename Fixes: #1402707
	Approved by: Christopher Townsend

2014-12-15  Stephen M. Webb  <stephen.webb@canonical.com>

	fix AP test failures due to upstream FileRoller .desktop file rename

2014-12-16  Andrea Azzarone  <azzaronea@gmail.com>

	skipped the animation of BGHash on startup to prevent unwanted fade-in Fixes: #1241757
	Approved by: Marco Trevisan (Treviño)

2014-12-11  Andrea Azzarone  <azzaronea@gmail.com>

	Skip the animation of BGHash on startup.

2014-12-16  Andrea Azzarone  <azzaronea@gmail.com>

	Ungrab the shoutdown dialog as soon as possible. Fixes: #1398287
	Approved by: Stephen M. Webb

2014-12-10  Andrea Azzarone  <azzaronea@gmail.com>

	Ungrab the shoutdown dialog as soon as possible.

2014-12-16  Andrea Azzarone  <azzaronea@gmail.com>

	Set the correct size for the lockscreen message. Fixes: #1384242
	Approved by: Brandon Schaefer, Marco Trevisan (Treviño)

2014-11-28  Andrea Azzarone  <azzaronea@gmail.com>

	Fix typo.

2014-10-22  Andrea Azzarone  <azzaronea@gmail.com>

	Set the correct size for the lockscreen message.

2014-12-16  Stephen M. Webb  <stephen.webb@canonical.com>

	replace the use of static glib with gi glib in AP test cases Fixes: #1397006
	Approved by: Christopher Townsend

2014-11-27  Stephen M. Webb  <stephen.webb@canonical.com>

	Gnome keygrabber AP test: switch to GI from static glib

2014-11-28  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.1+15.04.20141128-0ubuntu1

2014-11-28  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure GetScreenGeometry returns the correct value. Fixes: #1374785
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-11-07  Andrea Azzarone  <azzaronea@gmail.com>

	Use initializer list.

2014-11-07  Andrea Azzarone  <azzaronea@gmail.com>

	Make sure GetScreenGeometry returns the correct value.

2014-11-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: use gdbus to notfy upstart of service start/stop
	
	This fixes a memory leak caused by the nih dbus proxy Fixes: #1302955
	Approved by: Andrea Azzarone, PS Jenkins bot

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CMakeLists.txt: remove libnih dependency

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	debian/control: remove dependencies on libnih libraries, and upstart-bin

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UpstartWrapper: use upstart defined values for proxy name, path and interface

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: use gdbus to notfy upstart of service start/stop
	
	This fixes a memory leak caused by the nih dbus proxy

2014-11-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: inject special key events back to the root window when a menu is opened
	
	This will make the multimedia keys to work also if an indicator menu is opened. Fixes: #738202, #1389247
	Approved by: Andrea Azzarone, PS Jenkins bot

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeKeyGrabber: fix indentation

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: reinject some keys also when in lockscreen mode

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: inject special key events back to the root window if a menu is opened

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: add support for indicatror horizontal scroll events when a menu is opened

2014-11-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: use g_unix_signal_add to handle unix signals

2014-11-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ensure that proper window tiles and buttons are shown at the right place Fixes: #1384910, #1384958, #1385285
	Approved by: Christopher Townsend, PS Jenkins bot

2014-10-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: ignore mouse events when expo is active

2014-10-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: don't move the title to the right when in expo mode

2014-10-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: use a deque for minimized windows, and keep them ordered correctly
	
	In this way we are sure that the first element of the list is always the top-maximized window
	we have.

2014-10-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: don't consider a window obscured if we're in scale mode
	
	To make things better we should actually check whether the window is in the list of
	the currently scaled list.

2014-10-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: use std::set:find

2014-11-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: when filtering out windows in spread, make sure we unscale them Fixes: #1316265
	Approved by: Andrea Azzarone, PS Jenkins bot

2014-10-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: when filtering out windows in spread, make sure we unscale them

2014-11-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: make sure we always set a _NET_FRAME_EXTENTS for windows that requested it
	
	Correctly handle the _NET_REQUEST_FRAME_EXTENTS message, by always replying to the window
	setting the guessed _NET_FRAME_EXTENTS property. Fixes: #1383429
	Approved by: Andrea Azzarone, PS Jenkins bot

2014-10-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: make sure we always set a _NET_FRAME_EXTENTS for windows that requested it
	
	Correctly handle the _NET_REQUEST_FRAME_EXTENTS atom.

2014-10-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: allow to filter-out unmapped windows

2014-11-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Decorated Window: still paint decorations if on transformated windows in different workspaces Fixes: #1383468
	Approved by: Eleni Maria Stea, PS Jenkins bot

2014-10-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Decorated Window: still paint decorations if a window in a different workspace has transformations

2014-11-28  Andrea Azzarone  <azzaronea@gmail.com>

	Unmap all windows during shutdown. Fixes: #1370017, #1375271
	Approved by: Marco Trevisan (Treviño)

2014-10-22  Andrea Azzarone  <azzaronea@gmail.com>

	Remove comment.

2014-10-22  Andrea Azzarone  <azzaronea@gmail.com>

	Minor changes suggested by Marco's review.

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Revert changes to debian/changelog.

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Allocate/Deallocate ShutdownNotifier when needed.

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Cleanup ShutdownNotifier/SuspendNotifier.

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Improve the logic behind SuspendNotifier.

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Register for suspend after resuming.

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Remove suspending/resuming signals from UScreen.

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Add SuspendNotifier.*

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Merge lp:unity.

2014-10-21  Andrea Azzarone  <azzaronea@gmail.com>

	Test suspend changes.

2014-10-20  Andrea Azzarone  <azzaronea@gmail.com>

	Minor changes.

2014-10-20  Andrea Azzarone  <azzaronea@gmail.com>

	Add a log in case we cannot inhibit the shutdown.

2014-10-20  Andrea Azzarone  <azzaronea@gmail.com>

	Add operator& to glib::Object.

2014-10-10  Andrea Azzarone  <azzaronea@gmail.com>

	Unmap the windows on shutdown.

2014-10-10  Andrea Azzarone  <azzaronea@gmail.com>

	Fix shutdown notifier and use it inside lockscreen controller.

2014-10-10  Andrea Azzarone  <azzaronea@gmail.com>

	Implement a shutdown notifier.

2014-10-16  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.1+14.10.20141016-0ubuntu1

2014-10-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	LayoutSystem: make sure the exposed open windows are displayed in the "correct" order
	
	In expose mode the windows were placed in z-order starting by the top-most window that was always put in the bottom right corner. After the change the windows are placed in a similar order to their initial one.
	
	here's a video of the expose mode after the change: http://youtu.be/eYFTeJjaDQE Fixes: 1349281
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-10-09  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	merged scale-pos-fixes so that we use the window y to choose the row and
	the x value of the center to order the window inside the row

2014-10-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: don't duplicate loops, just iterate once in layout windows and find relative scaled window

2014-10-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LayoutSystem: reduce the GetRows calls in LayoutWindowsNearest

2014-10-09  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	removed double call to LayoutGridWindows, GetRows is enough

2014-10-08  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixes in the coding style etc

2014-10-07  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	changed unityshell plugin to use the new layouting functions

2014-10-06  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	added new layout functions for the expose mode

2014-10-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: make edges independent from borders and properly update them on actions changed
	
	Now windows can have edges (handles) also if they are not fully decorated, and
	the other way around.
	Improved the logic to detect which kind of decorations are supported by windows
	(so now we add shadows to windows with borders, and we do not to shaped ones).
	Removed a lot of duplicated matrix/region computations.
	Properly rebuild decorations when _NET_WM_ALLOWED_ACTIONS changes
	Fixes to the ForceQuit dialog shadows (and support for backdrop mode). Fixes: 1276177, 1299741, 1301776, 1324104, 1364225, 1373695
	Approved by: Brandon Schaefer, PS Jenkins bot

2014-10-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsManager: update the active window only on _NET_ACTIVE_WINDOW updates

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: some code cleanup

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: don't remove shadows to windows that have Motif borders set
	
	Such as gtk windows with HeaderBar when using Gtk <= 3.10

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: make possible for non-rectangular windows to have edges
	
	But only if they're resizable... Such as Chrome/Chromium when using its client
	side decorations.

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: correctly paint the backdrop version of the dialog

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: correctly scale the style border size
	
	Small regression, plus some cleanups

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: use DecorationElement and make Edge present also in borderless windows
	
	Windows with no border decorations might still have decoration edges so that they
	can be resized properly. This was not possible before, because we were only adding
	them to windows with full decorations with a top layout. Now windows can also
	have only grab handles, but no borders.
	
	Reduced also a lot the calls to verify what a window support, keeping track of
	the decoration elements.

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: use proper shadow offsets

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: add WindowDecorationElements that returns a bitset describing the elements available
	
	This function will allow to check which decoration elements are supported by a window
	by using just a single call, that will check which elements should be added when decorating
	the window. By returning a single unsigned that is a bitwise composition of values, we can
	just use a single call to verify which elements are supported.

2014-10-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	XWindowManager: properly log error

2014-09-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: add missing comments

2014-09-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsEdgeBorders: add proper scaling support

2014-09-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: don't add an external input border if the window is not resizable
	
	There's no need to take the input in the edges of a window if the window can't be resized

2014-09-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: just initialize EdgeBorders, they will adapt depending on the window

2014-09-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsEdgeBorders: reduce the items number if we have a not resizable window

2014-09-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsEdgeBorders: only add the GrabEdge if the window is not resizable

2014-09-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TexturedItem: update the region when the geometry has been changed

2014-09-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: directly update and use quad.region instead of building a new one at each draw

2014-09-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: include a CompRegion in TextureQuad, to avoid regeneration at each draw

2014-09-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsTitle: we need to manually update the texture matrix here

2014-09-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: avoid matrix updates when only a texture size changes

2014-09-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: initialize a MatrixList for each TextureQuad, so we avoid to create one at each draw
	
	Keep a reference not to break old code

2014-09-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DesktopUtilities: remove debugging code

2014-09-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: don't paint decorations for windows that are in different workspaces

2014-09-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: undecorate windows in showDesktop mode

2014-09-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: don't (shadow)decorate windows that have a region mismatching their geometry
	
	This means that windows using XShape extensions to define a region that is different to
	the actual window geometry, should not be decorated

2014-09-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: make sure we set/unset the shadows accordingly

2014-09-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: call updateSupportedWmHints after setting the handlers, or it won't work

2014-09-23  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: queue decorations update on action changes, rebuild them on paint

2014-09-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merge with trunk

2014-05-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: update frame also on _NET_WM_ALLOWED_ACTIONS changes, to match actual actions
	
	Actions might change during execution, and only listening _MOTIF_WM_HINTS is not enough

2014-10-15  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.1+14.10.20141015-0ubuntu1

2014-10-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GLibSignal: don't call callback function if the object_ value is not matching the CB Fixes: 1366351
	Approved by: Christopher Townsend

2014-10-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StaticCairoText: use glib::Signal

2014-10-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GLibSignal: don't call callback function if the object_ value is not matching the CB

2014-10-15  Brandon Schaefer  <brandon.schaefer@canonical.com>

	Remove bad tests that randomly fail 
	Approved by: Stephen M. Webb, PS Jenkins bot

2014-10-14  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* DIsable test_proxy tests

2014-10-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: wait the primary shield to get the grab before setting the session locked
	
	If that fails (and if the grab has never been gained during this locking session),
	it's up to the Controller to decide whether the lock request has to be ignored.
	So, if the primary shield fails to grab, before that the screen has ever been locked,
	then we have to give up. Otherwise if it fails (but we were already locked), it's safe
	to assume that this failure is due to the menus that are currently controlling the grab.
	
	Also setup the primary shield signal connections in a shared place and use a
	connection::Manager to keep track of them. Fixes: 1368427, 1371764
	Approved by: Andrea Azzarone, PS Jenkins bot

2014-09-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	MockIndicators: add CloseActiveEntry method

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: remove useless logger definition

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: add missing new-line at the end of file

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: close the active indicator when the on lock screen request

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Indicators: add CloseActiveEntry method, that calls relative on u-p-s

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: add CloseActiveEntry method
	
	To force an indicator to be closed

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenPanel: Activate the active entry during panel initialization
	
	In this way we get the pointer motion events tracked and the
	proper indicator visual effect.

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenPanel: don't include the monitor id on the panel name
	
	Even in multi-monitor, there's just only one panel in the lockscreen,
	thus we need to sync the menu geometries for just one panel instance.
	By doing this, if the primary shield gets moved to another monitor,
	while a menu is open, we get the menu automagically moved to the new
	monitor for free (as it's handled by u-p-s).

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: wait the primary shield to get the grab before setting the session locked
	
	If that fails (and if the grab has never been gained during this locking session),
	it's up to the Controller to decide whether the lock request has to be ignored.
	So, if the primary shield fails to grab, before that the screen has ever been locked,
	then we have to give up. Otherwise if it fails (but we were already locked), it's safe
	to assume that this failure is due to the menus that are currently controlling the grab.
	
	Also setup the primary shield signal connections in a shared place and use a
	connection::Manager to keep track of them.

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: add HasGrab method and grabbed and grab_failed signals
	
	It's not up to the shield to eventually unlock the screen if it can't take the grab

2014-09-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenPanel: initialize the active state, based on the indicator status
	
	If an indicator is already open when the panel is created, we need to mark
	the panel as active (in order to be able to get back the grab when the menu is closed).

2014-10-15  Iain Lane  <iain.lane@canonical.com>

	When grabbing keys, try prefixing "XF86" if the key isn't found. GNOME gives us unprefixed keys sometimes. Fixes: 1302885
	Approved by: Marco Trevisan (Treviño)

2014-10-03  Iain Lane  <iain.lane@canonical.com>

	Compare with the value of key()

2014-10-03  Iain Lane  <iain@orangesquash.org.uk>

	Move {} onto their own lines

2014-10-02  Iain Lane  <iain@orangesquash.org.uk>

	GDK (sometimes) strips the "XF86" prefix from keys
	
	If compiz doesn't recognise the key, try with "XF86" prefixed, to keep
	compatible with GNOME/unity-control-center.
	
	See: https://git.gnome.org/browse/mutter/commit/src/core/meta-accel-parse.c?id=8d29d22e991f8816f47529e366a947b3565993e8

2014-10-15  handsome_feng<445865575@qq.com>

	added support for getting the distro name from /etc/os-release Fixes: 1329584
	Approved by: Anthony Wong, Marco Trevisan (Treviño)

2014-09-17  handsome_feng<445865575@qq.com>

	fix a leak and add a comment

2014-09-16  handsome_feng<445865575@qq.com>

	move the function out from the constructor and get the string in a better way

2014-09-15  handsome_feng<445865575@qq.com>

	Add support for getting the distro name from /etc/os-release

2014-09-29  Tim Lunn  <tim@feathertop.org>

	No change rebuild for gnome-desktop 3.12

2014-09-15  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.1+14.10.20140915-0ubuntu1

2014-09-15  Andrea Azzarone  <azzaronea@gmail.com>

	Use COMPIZ_METAKEY where needed. Fixes: 1363534
	Approved by: Stephen M. Webb, PS Jenkins bot

2014-09-10  Andrea Azzarone  <azzaronea@gmail.com>

	Use COMPIZ_METAKEY where needed.

2014-09-15  Michael Zanetti  <michael.zanetti@canonical.com>

	add "items" key to Launcher schema to be used by unity8 Fixes: 1300650
	Approved by: Michał Sawicz, Stephen M. Webb, PS Jenkins bot, Albert Astals Cid

2014-09-10  Michael Zanetti  <michael.zanetti@canonical.com>

	update camera and gallery to be click apps

2014-09-09  Michael Zanetti  <michael.zanetti@canonical.com>

	add some defaults

2014-09-09  Michael Zanetti  <michael.zanetti@canonical.com>

	3 slashes

2014-08-26  Michael Zanetti  <michael.zanetti@canonical.com>

	add empty default

2014-08-26  Michael Zanetti  <michael.zanetti@canonical.com>

	added "items" key in launcher schema for unity8's launcher

2014-09-04  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.1+14.10.20140904-0ubuntu1

2014-09-04  Martin Pitt  <martin.pitt@ubuntu.com>

	Adjust upstart dependency to upstart-bin. Fixes: 1351306
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-09-03  Martin Pitt  <martin.pitt@ubuntu.com>

	Adjust upstart dependency to upstart-bin
	
	unity-services is only concerned about session upstart, it does not care about
	pid 1. Adjust the dependency to upstart-bin to allow uninstalling upstart and
	installing systemd-sysv.

2014-09-04  Stephen M. Webb  <stephen.webb@canonical.com>

	update the unity manpage Fixes: 1059275
	Approved by: Christopher Townsend, PS Jenkins bot

2014-09-04  Stephen M. Webb  <stephen.webb@canonical.com>

	fixed typo

2014-08-09  Stephen M. Webb  <stephen.webb@canonical.com>

	updated unity manpage

2014-09-04  Brandon Schaefer  <brandon.schaefer@canonical.com>

	Use CONFIG instead of CACHE to store the first_run.stamp
	
	Create a migration script to move the new stamp to the new location Fixes: 1328677
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-08-26  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Create a migration script to move the old stamp to the new location

2014-08-26  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Change location first run stamp is stored

2014-09-04  Brandon Schaefer  <brandon.schaefer@canonical.com>

	When Show Desktop is active, it will set the tooltip icon as "Restore Windows". This is per workspace. So each time show_destop bool is updated in PluginAdapter, the Show Desktop icon will update its tooltip if needed. Fixes: 1237132
	Approved by: Christopher Townsend, PS Jenkins bot

2014-08-13  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* When Show Deskop is active (ie. the next time you pess the icon), it will show the tooltis: Restore Windows.

2014-09-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar, ActionButtons, IconRenderer: include the font scaling when scaling textual items
	
	User font scaling settings should be applied to all the items containing text.
	Fixed some elements missing support. Fixes: 1332947, 1361713, 1362162, 1362346
	Approved by: Andrea Azzarone, PS Jenkins bot

2014-09-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnitySettings: add some delay to wait gsettings changes
	
	Without this delay, in some cases, unity might be notified of changes that have not been really done, but
	triggered by some internal component. This race was causing problems to the users using a floating
	scaling setting.

2014-08-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: Update size based on font scaling options

2014-08-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: use point-size for hint font
	
	In this way it supports font scaling

2014-08-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Tooltip: update the top/bottom spaces also when the text is bigger than default value
	
	Fixes small tooltips with scaled text

2014-08-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterBasicButton: resize buttons based on the text scaling, and redraw them when it changes

2014-08-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ActionButton: resize buttons based on the text scaling, and redraw them when it changes

2014-08-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: set text absolute size keeping in account the user font scaling

2014-08-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: share the icon labels only if they've the same size in multiple instances
	
	Otherwise generate each one for the provided size.

2014-08-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: take in account the text scaling when building the icons overlay labels

2014-09-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: set progress on icon render args Fixes: 1361679
	Approved by: Christopher Townsend, PS Jenkins bot

2014-08-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: set progress on icon render args

2014-09-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Lockscreen: scale the UI elements based on current monitor scaling Fixes: 1292218
	Approved by: PS Jenkins bot, Andrea Azzarone

2014-08-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with parent lp:~andyrock/unity/fix-1308540 again

2014-08-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: resize the input item based on text scaling as well

2014-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2014-08-25  Andrea Azzarone  <azzaronea@gmail.com>

	Merge trunk.

2014-08-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: Use correct font scaling, based on settings to draw the lockscreen warning tooltip

2014-08-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: foward declare SpaceLayout

2014-08-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityShell: fix compilation issue

2014-08-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2014-07-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Tests: fix compilation issues

2014-07-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BackgroundSettings: use double value for size

2014-07-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: update scaling if global settings change

2014-07-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: rebuild the background if the scale changes

2014-07-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BackgroundSettings: scale the background to match current monitor settings

2014-07-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Lockscreen: some cleanup

2014-07-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: set the primary shield at the end of iteration
	
	It's the safer way, since otherwise we might set two primary shields at the same time,
	and this might cause unparenting the Prompt View from the wrong parent, and thus
	to destroy it.

2014-07-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: remove child prompt view when it's not primary anymore

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: fix logic in toggling the activator visibility on spinner showing

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: only show tooltip after a timeout
	
	The wait value is hardcoded to match the Gdk and unity tooltips value

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UserPromptView: scale the text input to match the prompt view state

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: add scaling support

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~andyrock/unity/fix-1332509

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextInput: cleanup unneeded includes in header file

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: cleanup unneeded includes in header file

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UserPromptView: keep track of scalable elements and apply scale updates when needed
	
	Also, avoid to recreate the background at every redraw, just do it when size changes.

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconTexture: better check for URI scheme

2014-07-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: update scaling on prompt view only on primary shield
	
	Being a shared object it might cause troubles otherwise

2014-07-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UserPromptView: basic scaling updating support
	
	Beware, when scale chages, the field seems to go away!

2014-07-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: setup scaling based on monitor, keep track of the CofView

2014-07-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: correctly set the number of lines we want for the icon description
	
	Using the pango way

2014-07-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UserPromptView: add scale property

2014-07-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CofView: make the icon scalable

2014-07-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenSettings: Use RawPixel for GRID_SIZE

2014-07-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenPanel: also adjust the layout padding based on scaling when monitor changes

2014-07-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: don't keep a reference of the prompt view, just keep track of it

2014-07-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UserPromptView: initialize size inside the view itself

2014-07-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: define lockscreen::Controller::Ptr for nicer usage

2014-07-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: fix unityshell compilation, due to missing UserPromptView definition...
	
	Oh nux, I hate you when you behave like that!

2014-07-22  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~andyrock/unity/fix-1308540

2014-09-04  Andrea Azzarone  <azzaronea@gmail.com>

	Share lockscreen password entry between screens. Fixes: 1308540
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-08-27  Andrea Azzarone  <azzaronea@gmail.com>

	Merge trunk.

2014-07-29  Andrea Azzarone  <azzaronea@gmail.com>

	Merge Marco's patch.

2014-07-17  Andrea Azzarone  <azzaronea@gmail.com>

	Remove un-needed include.

2014-07-11  Andrea Azzarone  <azzaronea@gmail.com>

	Revert po/* changes.

2014-07-11  Andrea Azzarone  <azzaronea@gmail.com>

	Merge with trunk.

2014-07-11  Andrea Azzarone  <azzaronea@gmail.com>

	Share the lockscreen password entry between screens.

2014-09-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: make the Icon count width depending on the text value width Fixes: 796527, 1066971, 1361713
	Approved by: Brandon Schaefer

2014-08-28  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestLauncherModel: move to XTests

2014-08-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconTextureSource: reset the cached count value when scaling settings change
	
	In this way we make sure we properly reset the icons matrices

2014-08-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: honour the text scaling when drawing the launcher icon count emblem
	
	And update it when it changes.

2014-08-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: setting text is enough for count, no need accel

2014-08-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: make count size even more dynamic, just base anything on font and icon sizes

2014-08-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconTextureSource: remember the count value, so that we redraw when values change
	
	The emblem matrix needs to be updated accordingly.

2014-08-26  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: make the Icon count width depending on the text width

2014-08-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merge with trunk

2014-09-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: draw count texture at proper scaling, built by LauncherIcon Fixes: 1353070, 1354498
	Approved by: Christopher Townsend, PS Jenkins bot

2014-08-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: Use smaller sized emblem for Switcher icons

2014-08-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: build scaled icon texture on IconRenderer request
	
	In this way we can scale also switcher icons with a different scale value than the one used
	by the launcher.

2014-08-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: set the scaling based on the icon size as well

2014-08-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: just use pixel ink size to position the count number

2014-08-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: use GdkPango utilities

2014-08-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: draw count texture at proper scaling if available

2014-08-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: build multiple count textures per each scaling value

2014-08-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconTextureSource: add Count related functions

2014-08-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merge with trunk

2014-08-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconRenderer: scale the Emblem based on monitor scaling

2014-08-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher, Switcher: properly update the scale value of IconRenderer

2014-08-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LauncherIcon: only care about to the last connected remote entry

2014-08-11  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.1+14.10.20140811-0ubuntu1

2014-08-11  Andrea Azzarone  <azzaronea@gmail.com>

	Allow a distinct pam config file for greeter and for lock-screen. Fixes: 1305440
	Approved by: Stephen M. Webb, PS Jenkins bot, Marco Trevisan (Treviño)

2014-07-29  Andrea Azzarone  <azzaronea@gmail.com>

	Add -DCMAKE_SYSCONFDIR=/etc to cmake_base_options id debian/rules.

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Add etc/pam.d to unity.install

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Use CMAKE_SYSCONFDIR.

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Fix typo.

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Add /etc/pam.d director to unity.install

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Merge lp:~3v1n0/unity/handle-gtk3.12-deprecations.

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Add missing file.

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Revert unwanted change.

2014-06-18  Andrea Azzarone  <azzaronea@gmail.com>

	Avoid renaming.

2014-05-27  Andrea Azzarone  <azzaronea@gmail.com>

	Revert unwanted revision.

2014-05-27  Andrea Azzarone  <azzaronea@gmail.com>

	Use unity config file in UserAuthenticatorPam

2014-05-27  Andrea Azzarone  <azzaronea@gmail.com>

	Install the unity.pam file.

2014-05-27  Andrea Azzarone  <azzaronea@gmail.com>

	Add data/pam/unity pam config file for unity lockscreen.

2014-08-11  Andrea Azzarone  <azzaronea@gmail.com>

	Add an arrow activator in the lockscreen. Fixes: 1332509
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-06-20  Andrea Azzarone  <azzaronea@gmail.com>

	Add missing media file.

2014-06-20  Andrea Azzarone  <azzaronea@gmail.com>

	Disable activator by default. Fix typo.

2014-06-20  Andrea Azzarone  <azzaronea@gmail.com>

	Add an arrow activator in the lockscreen.

2014-08-11  Michal Hruby  <michal.mhr@gmail.com>

	Split gsettings schemas into a separate binary package. Added a key for unity8. 
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-07-30  Michal Hruby  <michal.mhr@gmail.com>

	Fix packaging

2014-07-30  Michal Hruby  <michal.mhr@gmail.com>

	Fix description

2014-07-30  Michal Hruby  <michal.mhr@gmail.com>

	Use scope schema for favorite scopes

2014-07-30  Michal Hruby  <michal.mhr@gmail.com>

	Split schemas into a separate package

2014-08-11  Stephen M. Webb  <stephen.webb@canonical.com>

	Changed log message on failure to open xpathselect library from an error to a warning.
	
	The xpathselect library is used for introspection during automated test runs. It is not an error for this library to be unavailable in normal successful operating conditions. Fixes: 1345296
	Approved by: Marco Trevisan (Treviño)

2014-07-21  Stephen M. Webb  <stephen.webb@canonical.com>

	Changed log message on failure to open xpathselect library from an error to a warning.
	
	The xpathselect library is used for introspection during automated test runs.  It is not an error for this library to be unavailable in normal successful operating conditions.

2014-08-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: make sure we close the dash if DnD is accepted
	
	And we're about to focus the application window(s) Fixes: 1350331
	Approved by: PS Jenkins bot, Andrea Azzarone

2014-07-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: make sure we close the dash if DnD is accepted
	
	And we're about to focus the application window(s)

2014-08-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UScreen, PanelService: get monitor at position, ignoring pre-multipled Gdk scale factor
	
	Get monitor position based on absolute coordinates, ignoring the pre-multipled
	scaling factor that Gdk applies to all the monitor sizes.
	
	In this way we get the proper monitor index for absolute coordinates,
	independently from the scaling factor. Fixes: 1351591
	Approved by: Brandon Schaefer, PS Jenkins bot

2014-08-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UScreen: get monitor at position, ignoring pre-multipled Gdk scale factor
	
	Get monitor position based on absolute coordinates, ignoring the pre-multipled
	scaling factor that Gdk applies to all the monitor sizes.
	
	In this way we get the proper monitor index, independently from the scaling factor.

2014-08-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: get monitor at position, ignoring pre-multipled Gdk scale factor
	
	Get monitor position based on absolute coordinates, ignoring the pre-multipled
	scaling factor that Gdk applies to all the monitor sizes.
	
	In this way we get the proper monitor index to attach the menu

2014-08-11  Brandon Schaefer  <brandon.schaefer@canonical.com>

	Make sure we check if the Quicklist or Alt+F1 key nav is open (so we can close them)
	
	Bore checking if something as a WM grab. As we cant open the hud is in Quicklist or KeyNav anymore. Fixes: 1353167
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-08-05  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Make sure we check if the Quicklist or Alt+F1 key nav is open (so we can close them)
	before checking if something as a WM grab. As we cant open the hud is in Quicklist or KeyNav anymore.

2014-08-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, Switcher: use correct right/left scroll buttons for next/prev mouse selection Fixes: 1353383
	Approved by: PS Jenkins bot, Andrea Azzarone

2014-08-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Autopilot, Switcher: use correct right/left scroll buttons for next/prev mouse selection

2014-07-31  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.0+14.10.20140731.1-0ubuntu1

2014-07-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	This has a "soft" dependency on lp:~3v1n0/nux/horizontal-scroll-delta/+merge/227070, this means that this code would just work as it used to do (except for the SwitcerView fix) if that nux branch is not used, while it will support correctly horizontal scroll events when both the branches are used. Fixes: 1342208, 1342731
	Approved by: Christopher Townsend, PS Jenkins bot

2014-07-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: enable horizontal scrolling for icons

2014-07-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: correctly handle nux horizontal scrolling

2014-07-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: switch to next icon on down/right scrolls, to previous icon on up/left

2014-07-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: ignore horizontal scrolling

2014-07-31  Andrea Azzarone  <azzaronea@gmail.com>

	== Problem ==
	Lockscreen capslock detection doesn't work well with remapped capslocks
	
	== Fix ==
	Use gdk keymap to get the state of the caps lock. Fixes: 1347735
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-07-28  Andrea Azzarone  <azzaronea@gmail.com>

	Fix spacing and cb args.

2014-07-25  Andrea Azzarone  <azzaronea@gmail.com>

	Remove comments.

2014-07-25  Andrea Azzarone  <azzaronea@gmail.com>

	Merge lp:~andyrock/unity/fix-lp-1347735.

2014-07-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesOverlayVScrollBar: redirect the mouse wheel scroll events coming from the thumb to the scrollview
	
	This will make the scrollview to handle then and perform the same scrolling action it would do otherwise. Fixes: 1340992
	Approved by: Brandon Schaefer, PS Jenkins bot

2014-07-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesOverlayVScrollBar: redirect the mouse wheel scroll events coming from the thumb to the scrollview

2014-07-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VScrollBarOverlayWindow: accept mouse scroll events

2014-07-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: Add GrabScreen function and retry to make sure we really get grab
	
	It might happen that the grab is not possible because the PluginAdapter::IsScreenGrabbed
	request has still not being fully processed, and thus nux is not able to grab the
	pointer/keyboard. By doing this we instead try to grab the screen, and if this is
	not happening, we wait a little until we don't get the ungrab event.
	
	In this way, if we eventually get the grab, all will work as expected.
	Otherwise, we cancel the lock request (very unlikely to happen). Fixes: 1349128
	Approved by: Brandon Schaefer

2014-07-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: define max timeout to wait for grab as a const

2014-07-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: make GrabScreen recursive
	
	In this way we call it both as callback of screen_ungrabbed signal and
	as standalone function

2014-07-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: Add GrabScreen function and retry to make sure we really get grab
	
	It might happen that the grab is not possible because the PluginAdapter::IsScreenGrabbed
	request has still not being fully processed, and thus nux is not able to grab the
	pointer/keyboard. By doing this we instead try to grab the screen, and if this is
	not happening, we wait a little until we don't get the ungrab event.
	
	In this way, if we eventually get the grab, all will work as expected.
	Otherwise, we cancel the lock request (very unlikely to happen).

2014-07-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: flush after ungrabbing the keyboard, or we might get into troubles

2014-07-31  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesOverlayVScrollBar and VScrollBarOverlayWindow: add support for scaling
	
	Add a new ScrollView class to create ScrollViews with an OverlayScrollbar and with scaling support.
	Using them in dash Scopes and Previews.
	Fixes: 1340996
	Approved by: Brandon Schaefer, PS Jenkins bot

2014-07-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayScrollView: scale also the mouse-wheel scroll steps

2014-07-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Tracks: extend our ScrollView, removing features we already handled

2014-07-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Previews: use dash::ScrollView for creating scrolled areas and set/update scaling on it

2014-07-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScopeView: rebase ScopeScrollView on unity::ScrollView

2014-07-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayScrollView: a simple class to create nux scroll views that use our Overlay Scrollbars

2014-07-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Preview: add a protected ScrollView class that children can use to create overlay scrollbars

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScopeView: just use a ROProperty for scale in the ScopeScrollView
	
	It's just a proxy class, so it doesn't need to have it's own value

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScopeView: scale the scrolling views, and so the scroll bars to match the monitor scaling

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	VScrollBarOverlayWindow: add support for scaling the Scrollbars thumbs
	
	\o/

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesOverlayVScrollBar: add support for scaling
	
	The nux::InputAreaProximity doesn't allow to change the proximity value, so extending it
	(that it supports) is the best approach to update the internal values.

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesVScrollBar: add support for scaling, don't build texture at every redraw, code cleanup
	
	The code was very old and buggy, now it doesn't redraw the textures everytime and uses smart
	pointers

2014-07-31  Brandon Schaefer  <brandon.schaefer@canonical.com>

	Fixes FTBFS caused by gcc 4.9. Mostly unused functions. Fixes: 1350052
	Approved by: PS Jenkins bot, Marco Trevisan (Treviño)

2014-07-31  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Hopefully fixes arm issues

2014-07-29  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Fixes FTBFS when moving to gcc 4.9. Mainly remove unused functions.

2014-07-11  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.0+14.10.20140711-0ubuntu1

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Hud: scale to match current DPI settings for monitor Fixes: 1340477
	Approved by: PS Jenkins bot, Eleni Maria Stea

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestPaymentPreview: make sure that the header gets deleted or we'd get a CoverArt leak
	
	And that will break the TextureCache tests

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudButton: change the label property as a Read-only, fix failing test

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudController: set HudView scale to match current scaling factor for monitor and listen changes

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneHud: add scaling factor parameter

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudView: add scaling support

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudIcon: makesure we set the the proper icon size, to a fixed value

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	HudButton: add scaling support

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayRendering: correctly scale the overlays borders and edges to match settings
	
	DashStyle has been modified to return smart pointers of textures that are loaded
	depending on the scale level. The cache will make sure that we don't duplicate
	the textures and that they get removed when not needed anymore.
	
	Also thanks to this the SearchBarSpinner textures (and the other spinners as well)
	uses the SVGs scaled at the proper size (I desgined a new SVG for the magnifier,
	as we only had a PNG). Fixes: 1283415, 1340394
	Approved by: Eleni Maria Stea, PS Jenkins bot

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CoverArt: make possible the image to be stretched again

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestPaymentPreview: make sure that the header gets deleted or we'd get a CoverArt leak
	
	And that will break the TextureCache tests

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TextureCache: it looks like our Hash function was flawed, and in some cases gave false positive

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	RawPixel: add default parameter set to 0

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestPlacesGroup: correctly implement the mock style to match new API

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	resources: remove obsolete files

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: make sure we update the launcher size also on launchers added later

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: properly scale the launcher width to match monitor scaling

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayRenderer: initialze scaling to match the default monitor settings

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: load the Spinner textures scaling the SVGs
	
	Added a new svg texture for the search magnifier, and load all the textures at the proper scaling level
	to have better looking textures.

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: add support for loading scaled dash corners, and use them in OverlayRenderer

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayRenderer: scale dash borders to match current scaling

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: return ObjectPtr of textures

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterWidgets: add support for scaling Fixes: 1340171
	Approved by: PS Jenkins bot, Eleni Maria Stea

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterRatingsWidget: add support for scaling

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterMultiRangeButton: ensure that we redraw on scale changes

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterRatingsButton: simply extend RatingsButton, remove a lot of duplicated code

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	RatingsButton: make sure we always pull the virtual function to get/set ratings

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	RatingsButton: correctly scale the ratings button

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestPlacesGroup: fix RawPixel's initialization

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterMultiRangeWidget: scale buttons

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterMultiRangeButton: add scalability support

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterBasicButton: correctly scale down the button, set fixed height

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterGenreWidget: add scaling support for internal Genre butttons

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Filter{Genre,MultiRange,Ratings}Widget: Scale the "All" button

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterBasicButton: add ability to draw scaled buttons

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Mergin with lp:~3v1n0/unity/dash-style-rawpixel

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterExpanderLabel: actually scale content

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	FilterBar: correctly scale elements

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashView, HudView, SpreadFilter: adapt to the SearchBar changes

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: correctly scale the filter layout and the expander view
	
	Also set the search bar height by default.

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScopeBar: make sure it gets redrawn on scale changes

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: return RawPixel's instead of integers for sizes, and avoid duplication in code 
	Approved by: PS Jenkins bot, Eleni Maria Stea

2014-07-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestPlacesGroup: fix RawPixe's initialization

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Dash: remove duplicated RawPixel.h inclusions

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~unity-team/unity/previews-scaling-final

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Dash: avoid unneeded duplication of RawPixel's

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: use property when convenient, remove obsolete methods

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneHud: fix initialization crashes

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	OverlayRenderer: add first basic scaling support

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBarSpinner: make sure we set the scaling (and min/max size) on startup

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: return RawPixel's instead of integers for sizes

2014-07-11  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Previews: scale the dash preview contents to match current monitor scaling
	
	Improved also the scaling of search-bar, spinner, categories and many other components. Fixes: 1339629
	Approved by: PS Jenkins bot, Eleni Maria Stea, Marco Trevisan (Treviño)

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneDash: fix crash on close

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CoverArt: correclty scale thumbnails and spinner

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PreviewContainer: make sure we redraw when scale has been updated

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2014-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnitySettings: make sure we don't call a not initialized pimpl value

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Previews: add support for --scaling-factor=X.Y parameter to standalone versions

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Fix standalone previews icon paths

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Previews: Lots of fixes to Social, Tracks and General previews and dash views
	
	Merging lp:~3v1n0/unity/previews-scaling-improved

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: correctly scale the cairo generated-texture

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PreviewStyle: reduce the default size for status icons
	
	As they were using 1px border

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconTexture: remove hardcoded border

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBarSpinner: make sure we set the scaling (and min/max size) on startup

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScopeView: scale the "No results" message

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ResultRendererHorizontalTile: correctly scale the width/height of the selected texture

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: initialize scaling on filters

2014-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Track: set min/max sizes, not only max twice

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesGroup, SearchBar: reset min/max sizes when updating the scale

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBar: set the spinner scaling

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SearchBarSpinner: draw the spinner at scaled size
	
	This is fine for now, but for better quality we should reload the textures at scaled size

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PreviewContainer: use layout padding instead of a space, and update it to match scaling

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Track: correctly set the maximum duration width considering the scaling

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Tracks: don't limit the track width, make sure we relayout and cleanup code

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Track: correctly resize play/pause icons

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesGroup: update expand icon size when scaling

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IconTexture: use view geometry if drawing in STRETCH_WITH_ASPECT mode

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PlacesGroup: make name to correctly resize down when scaling down
	
	Also correctly scale some missing bits

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnitySettings: consider monitor scaling when defining the form factor

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Preview: don't use first monitor scale as default, or we'll break other assumptions

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneSocialPreview: add retweet icon

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneDash: add support for parsing arguments and setting default scope

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	StandaloneDash: support passing the scaling parameter

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashView: don't use EMConverter, just a scale property

2014-07-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Preview: initialize scaling to default settings value
	
	In this way we don't have to update scaling again if things don't change later

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PreviewNavigator: make sure that we update the ImageTexture view size, not the img size

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ActionButton: re-initialize theme on scale changes
	
	This makes the textures to be regenerated with correct device scaling

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ActionButton: set the button device scaling, to make sure they get properly scaled

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashStyle: get the proper width value based on the surface scaling

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Dash previews: various code cleanups and improvements

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SocialPreview: fix pre-layouting to correcty resize and put items
	
	And avoid crashes for unset comments_layout_

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SocialPreviewComments: correctly scale all the comments (not only the last one)
	
	There's no need to update the scaling here, it's just better to rebuild the whole view
	if the scale changes.

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SocialPreviewContent: use proper cairo scaling when drawing the bubble

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PaymentPreview: avoid startup crash, make sure that views are set before scaling

2014-07-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~hikiko/unity/unity.scale-track

2014-07-07  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	merged music preview changes
	(removed unnecessary check in DashView)

2014-07-07  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	removed unnecessary check

2014-07-04  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed problems in SocialPreview

2014-07-02  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed stars size

2014-07-02  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	set Maximum/Minimum width in tracks.cpp just in case

2014-07-02  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed track size in album in music preview

2014-07-02  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixes

2014-07-02  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled PreviewNavigator

2014-07-02  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	more fixes in ApplicationPreview

2014-07-02  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	more fixes in ApplicationPreview.cpp

2014-07-01  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed application preview setup views

2014-06-30  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	undo last change

2014-06-30  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	more fixes

2014-06-30  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	more fixes in infohint layout

2014-06-30  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed space layout in Preview container

2014-06-30  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scale fixes in MusicPreview and Tracks.cpp

2014-06-30  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed album_data_layout in music preview

2014-06-30  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	changed MusicPreview to scale tracks

2014-06-30  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled tracks

2014-06-22  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled track and components

2014-06-21  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	text 

2014-06-21  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	added signal update scale - backup

2014-06-21  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge: lp:~hikiko/unity/unity.scale-social-preview

2014-06-20  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled social preview content

2014-06-20  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled SocialPreviewComments and components

2014-06-20  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled SocialPreview and widgets except SocialComments, SocialContent

2014-06-20  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge: lp:~hikiko/unity/unity.scale-payment-musicpayment

2014-06-20  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scale ActionLinks in Preview base class,
	other minor fixes

2014-06-20  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed more music payment previews widgets

2014-06-19  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled more components

2014-06-19  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	call update scale in ctor

2014-06-19  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled MusicPaymentPreview components

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled PaymentPreview

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge: lp:~hikiko/unity/unity.layouts-fix

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	initialized all layouts to avoid seg faults

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge lp:~hikiko/unity/unity.scale-music-preview

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	more fixes, fixed all segmentation faults by uninitialized values

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	more fixes

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed more segmentation faults

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed scaling issues

2014-06-18  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled MusicPreview

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge: lp:~hikiko/unity/unity.scale-movie-preview 

2014-07-08  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.0+14.10.20140708-0ubuntu1

2014-07-08  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	Scaled MoviePreview and widgets 
	Approved by: Marco Trevisan (Treviño), PS Jenkins bot

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge lp:~hikiko/unity/unity.scale-error-preview

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled MoviePreview

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge lp:~hikiko/unity/unity.scale-error-preview

2014-07-08  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled ErrorPreview 
	Approved by: PS Jenkins bot, PS Jenkins bot, Marco Trevisan (Treviño), PS Jenkins bot

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge  lp:~hikiko/unity/unity.scale-generic-preview-components

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge: lp:~hikiko/unity/unity.scale-generic-preview-components

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	more fixes

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed PreLayoutManagement

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	coding style changes to match the other previews

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge: lp:~hikiko/unity/unity.scale-generic-preview-components

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed comp error

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge to:  lp:~hikiko/unity/unity.scale-generic-preview-components

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled ErrorPreview

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge: lp:~hikiko/unity/unity.scale-generic-preview-components

2014-07-08  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	Scaled GenericPreview and its widgets. 
	Approved by: PS Jenkins bot, PS Jenkins bot, PS Jenkins bot, PS Jenkins bot, Marco Trevisan (Treviño)

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge lp:~hikiko/unity/unity.scale-application-components

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed PreLayoutManagement

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge lp:~hikiko/unity/unity.scale-application-components 

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed PreLayout management to match the app-preview

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed comp error 

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge to https://code.launchpad.net/~hikiko/unity/unity.scale-application-components

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled GenericPreview and its components

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge https://code.launchpad.net/~hikiko/unity/unity.scale-application-components/+merge/223208

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	merged: https://code.launchpad.net/~hikiko/unity/unity.preview-container-components/+merge/222906

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	locally merged:      bzr branch lp:~hikiko/unity/unity.em-size-in-preview-style 

2014-07-08  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	Scaled the ApplicationPreview and the containing widgets and components. 
	Approved by: PS Jenkins bot, PS Jenkins bot, PS Jenkins bot, Marco Trevisan (Treviño)

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed PrelayoutManagement

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed PreLayoutManagement

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed PreLayoutManagement

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed bug

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge to https://code.launchpad.net/~hikiko/unity/unity.preview-container-components/+merge/222906
	to include the code of this branch: https://code.launchpad.net/~3v1n0/unity/better-preview-info-layouting
	and some fixes

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scale InfoHintWidget

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed coding style (replaced c-like casting with c++)

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled application preview and its components

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	locally merged lp:~hikiko/unity/unity.preview-container-components

2014-07-08  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	Added scale factor to Preview (base class), preview container and to the components they contain. 
	Approved by: PS Jenkins bot, PS Jenkins bot, PS Jenkins bot, PS Jenkins bot, Marco Trevisan (Treviño)

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	clamped value's max width to be always >=0

2014-06-17  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge: bzr branch lp:~3v1n0/unity/better-preview-info-layouting
	
	
	
	[ Chris Townsend ]
	* Fix issue where the number of Launcher icon pips are not always
	properly updated when a new window of an already running application
	is opened. (LP: #1283775)
	* Fix issue where the Panel shadow would get drawn over drop down
	windows in full screen windows. (LP: #1316005)
	[ Andrea Azzarone ]
	* Clear the clipboard when locking the screen. (LP: #1308911)
	* Disable switcher gestures if screen is locked. Fixed a regression.
	(LP: #1321043)
	* Pass the correct options to showLauncherKeyTerminate in
	UnityScreen::OnLockScreen (LP: #1320438)
	* Fix skype indicator blinking. (LP: #1310200)
	[ Marco Trevisan (Treviño) ]
	* PluginAdapter: try to grab the screen to make sure that the screen
	is not grabbed FocusIn event with NotifyGrab mode is not always
	triggered by X when a window takes the grab, then we need to ensure
	that there's no grab by trying to get one. We only care about
	keyboard here, since pointer grabs don't affect us in general. (LP:
	#741869)
	* ShortcutView: use RawPixel's for the size values and convert them to
	match current scaling Plus dinamically allocate horizontal space,
	not to cut the text. (LP: #924840)

2014-06-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PreviewInfoHintWidget: remove unneded dtor

2014-06-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PreviewInfoHintWidget: initialize info values to scale

2014-06-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~hikiko/unity/unity.preview-container-components

2014-06-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PreviewInfoHintWidget: use better and cleaner strategy for relayouting the hints

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled more PreviewContainer components

2014-06-16  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaled more PreviewContainer components

2014-06-13  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	renamed variables, removed double check

2014-06-13  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	local merge lp:~hikiko/unity/unity.em-size-in-preview-style/+merge/222598
	to remove C style casting from CLAMP

2014-06-13  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed UpdateScale to be private or protected
	fixed cairo surfaces to scale according to scale factor
	fixes in coding style etc

2014-06-12  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	Preview: UpdateScale should be virtual (overriten in child-previews)

2014-06-11  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	scaling PreviewContainer, Preview (base class) and their components

2014-06-10  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	merged https://code.launchpad.net/~hikiko/unity/unity.em-size-in-preview-style/+merge/222598

2014-07-08  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	Changed the PreviewStyle.h/cpp to use em sizes (RawPixel). 
	Approved by: PS Jenkins bot, PS Jenkins bot, Marco Trevisan (Treviño)

2014-06-13  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	replaced the C style casting

2014-06-10  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	replaced clamp with CLAMP after casting everything to RawPixel,
	removed unecessary casting

2014-06-10  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	changed the PreviewStyle to use em sizes (RawPixel)

2014-07-08  Stephen M. Webb  <stephen.webb@canonical.com>

	reduce the scope of the kill command when restarting compiz Fixes: 1324114
	Approved by: PS Jenkins bot, PS Jenkins bot, Marco Trevisan (Treviño)

2014-07-08  Stephen M. Webb  <stephen.webb@canonical.com>

	tools/unity.cmake: fixed syntax error

2014-07-04  Stephen M. Webb  <stephen.webb@canonical.com>

	switched to matching on a regex to further reduce the search space

2014-06-18  Pawel Szubert

	Limit the compiz kill on restart to only those on the same $DISPLAY (lp: 1324114)

2014-06-19  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.3.0+14.10.20140619-0ubuntu1

2014-06-19  Stephen M. Webb  <stephen.webb@canonical.com>

	Release Unity 7.3.0. 

2014-06-18  Stephen M. Webb  <stephen.webb@canonical.com>

	updated AUTHORS and ChangeLog for 7.3.0

2014-06-18  Stephen M. Webb  <stephen.webb@canonical.com>

	bump upstream to 7.3.0

2014-06-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenAcceleratorController: do ther configured action on power special keys press
	
	We finally can suspend, shutdown, hibernate or start the screensaver when the screen is locked, using
	the Suspend, Sleep, Hibernate and PowerOff hardware keys.
	
	Also the Shutdown dialog doesn't allow now to lock the session if it is not allowed by settings. Fixes: 1306211, 1320051, 1320071

2014-06-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeSessionManager: some code cleanup

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenAcceleratorController: do ther configured action on Suspend, Sleep, Hibernate and PowerOff press
	
	We finally can suspend, shutdown, hibernate or start the screensaver when the screen is locked, using
	the special power keys.

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeSessionManager: don't allow to lock, if we're already locked.

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionDBusManager: set the inhibited bits based on the current system status

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionManager: add HasInhibitors method, that gets from GS if the session is inhibited

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionView: immediately cancel and hide the dialog if there's no action we can do

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionView: add some padding if we only can show one button

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionView: only show the lock options if we are allowed to lock and not currently locked

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~brandontschaefer/unity/shutdown-dialog-hi-dpi

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: use is_locked instead of directly emitting the locked/unlocked signals

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionManager: add CanLock method and is_locked property
	
	The property is now used also to emit the locked and unlocked signals

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Manually emit nux::Area::geometry_changed beucase nux can fail to emit it. Fixes: 1292391

2014-05-28  Andrea Azzarone  <azzaronea@gmail.com>

	Manually emit nux::Area::geometry_changed beucase nux can fail to emit it.

2014-06-19  Andrea Azzarone  <azzaronea@gmail.com>

	Remove cross fade effect during lock/unlocking. A simple fading works just fine. Fixes: 1312107

2014-05-20  Andrea Azzarone  <azzaronea@gmail.com>

	Remove cross fade effect during lock/unlocking. A simple fading works just fine.

2014-06-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: pass the state to compiz plugins activations
	
	Fixes Scale triggering on DnD Fixes: 1328615

2014-06-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: pass the state to compiz plugins activations
	
	Fixes Scale triggering on DnD

2014-06-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	{Panel,Decoration}Style: don't call deprecated gtk_style_context_invalidate function in gtk >= 3.11 

2014-06-13  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: use new margin functions

2014-06-13  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	{Panel,Decoration}Style: don't call deprecated gtk_style_context_invalidate function in gtk >= 3.11

2014-06-07  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.10.20140607-0ubuntu1

2014-06-07  Andrea Azzarone  <azzaronea@gmail.com>

	Fix skype indicator blinking. Fixes: 1310200

2014-05-30  Andrea Azzarone  <azzaronea@gmail.com>

	Fix skype indicator blinking.

2014-06-07  Chris Townsend  <christopher.townsend@canonical.com>

	Fix issue where the Panel shadow would get drawn over drop down windows in full screen windows. Fixes: 1316005

2014-05-28  Chris Townsend  <christopher.townsend@canonical.com>

	Fix issue where the Panel shadow would get drawn over drop down windows in full screen windows.

2014-06-07  Chris Townsend  <christopher.townsend@canonical.com>

	Fix issue where the number of Launcher icon pips are not always properly updated when a new window of an already running application is opened. Fixes: 1283775

2014-05-28  Chris Townsend  <christopher.townsend@canonical.com>

	Get rid of break statement since we need to continue the loop.
	Relax if/else if logic and just assign boolean regardless what the current value is.

2014-05-28  Chris Townsend  <christopher.townsend@canonical.com>

	Create a new method that replaces SetWindowVisibleOnMonitor() which also keeps the number of visible windows per monitor for a particular app.
	Also, remove some of the helper functions added in a previous commit.

2014-05-27  Chris Townsend  <christopher.townsend@canonical.com>

	Use counter for calculating number of app windows in a viewport and also check if the number of app windows has changed outside of the for loop in order to update Launcher pips for all Launchers in multi-monitor scenarios.

2014-05-26  Chris Townsend  <christopher.townsend@canonical.com>

	Fix issue where the number of Launcher icon pips are not always properly updated when a new window of an already running application is opened.

2014-06-07  Andrea Azzarone  <azzaronea@gmail.com>

	Pass the correct options to showLauncherKeyTerminate in UnityScreen::OnLockScreen Fixes: 1320438

2014-05-26  Andrea Azzarone  <azzaronea@gmail.com>

	Pass the correct options to showLauncherKeyTerminate in UnityScreen::OnLockScreen.

2014-06-07  Andrea Azzarone  <azzaronea@gmail.com>

	Disable switcher gestures if screen is locked. Fixed a regression. Fixes: 1321043

2014-05-20  Andrea Azzarone  <azzaronea@gmail.com>

	Remove unwated changes.

2014-05-20  Andrea Azzarone  <azzaronea@gmail.com>

	Disable switcher gestures if screen is locked. Fixed a regression.

2014-05-20  Andrea Azzarone  <azzaronea@gmail.com>

	Restore clibpoard on unlock. Update tests too.

2014-05-20  Andrea Azzarone  <azzaronea@gmail.com>

	Clear the clipboard when locking the screen.

2014-05-16  Andrea Azzarone  <azzaronea@gmail.com>

	Clear the clipboard when locking the screen.

2014-06-07  Andrea Azzarone  <azzaronea@gmail.com>

	Clear the clipboard when locking the screen. Fixes: 1308911

2014-05-26  Andrea Azzarone  <azzaronea@gmail.com>

	Enable clipboard by default.

2014-05-26  Andrea Azzarone  <azzaronea@gmail.com>

	Disable clibpoard during lockscreen.

2014-06-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: use RawPixel's for the size values and convert them to match current scaling
	
	Plus dinamically allocate horizontal space, not to cut the text. Fixes: 924840, 1317356, 1317869

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/dynamic-shortcut-hint

2014-05-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: increase max column widths to make sure they will work with big text

2014-05-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: adjust column maximum width inside PreLayoutManagement instead that when filling the model

2014-05-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: some cleanup

2014-05-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: define maximum columns width, way longer than before

2014-05-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: reduce the line spacing to match old values
	
	This migtht be caused by the StaticCairoText usage, and this spacing actually matches design

2014-05-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutController: always fill the model before setting it

2014-05-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: compute maximum columns width based on text size
	
	In this way the text won't be truncated. The text size is computed per each column

2014-05-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~brandontschaefer/unity/shutdown-dialog-hi-dpi

2014-05-13  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: use string literal to build RawPixel's

2014-05-13  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merge with trunk

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutView: use RawPixel's for the size values and convert them to match current scaling

2014-06-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: try to grab the screen to make sure that the screen is not grabbed
	
	FocusIn event with NotifyGrab mode is not always triggered by X when a window
	takes the grab, then we need to ensure that there's no grab by trying to get one.
	We only care about keyboard here, since pointer grabs don't affect us in general. Fixes: 741869, 1305586

2014-05-13  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: don't try to lock if there's a keyboard grab around

2014-05-13  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: try to grab the screen to make sure that the screen is not grabbed
	
	FocusIn event with NotifyGrab mode is not always triggered by X when a window
	takes the grab, then we need to ensure that there's no grab by trying to get one.
	We only care about keyboard here, since pointer grabs don't affect us in general.

2014-06-06  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.10.20140606.1-0ubuntu1

2014-06-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: use RawPixel's for the size values and convert them to match current scaling Fixes: 1317348

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSwitcherView: remove obsolete property check

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: use RawPixel's for the size values and convert them to match current scaling

2014-06-06  Chris Townsend  <christopher.townsend@canonical.com>

	Fix issue where scaling the edge illumination up and down with the size of the Launcher icons would cause the illumination border to be offset and smaller than the icon. Fixes: 1309739

2014-05-08  Chris Townsend  <christopher.townsend@canonical.com>

	Revert the last change and instead, use the icon glow .png file instead of the .svg since Gdk does not seem to be able to handle properly scaling the svg file.

2014-05-06  Chris Townsend  <christopher.townsend@canonical.com>

	Fix issue where scaling the edge illumination up and down with the size of the Launcher icons would cause the illumination border to be offset and smaller than the icon.

2014-06-06  Brandon Schaefer  <brandontschaefer@gmail.com>

	Lockscreen warning icon needs a tooltip to say what the warning is about! Fixes: 1308288

2014-04-23  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Load the warning icon only when we enable show caps lock.

2014-04-22  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Remove spin_icon_width

2014-04-22  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Merge from parent. Fix conflicts.

2014-04-22  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Merge trunk

2014-04-15  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Fix multi monitor issue
	* Fix translation issue

2014-04-15  Brandon Schaefer  <brandontschaefer@gmail.com>

	* No magic strings!

2014-04-15  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Add a nice warning tooltip

2014-06-06  Brandon Schaefer  <brandon.schaefer@canonical.com>

	ShutdownView: Scale up the Buttons and Text plus Borders of the UnityWindowView. Fixes: 1308323

2014-05-13  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Much better way to clean up textures

2014-05-13  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Clean up unused textures when a dpi changes, or a monitor changes

2014-05-08  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Pre-load textures based on scale value of monitors

2014-05-08  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Merge Marcos branch again

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindowView: don't keep EMConverter around, we don't need it... Let's use just scale

2014-05-08  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Move the CP() call for the const sizes to UnityWindowStyle

2014-05-08  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Merge Marcos branch
	* Merge trunk

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionButton: don't scale the button size twice...

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionButton: remove useless definition

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindowView: only expose scale instead of the EMConverter, so we get proper notifications

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ShortcutController: set the monitor property

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindowView: don't include UnitySettings in the header...

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SwitcherView: use the UnityWindowView monitor value and scale padding correctly

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	RawPixel: no need to round here, EMConverter will do it

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	EMConverter: just multiply the pixels per DPIScale, it's simpler and safer

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindowView: make sure we update the internal offset correctly

2014-05-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~brandontschaefer/unity/shutdown-dialog-hi-dpi

2014-05-07  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Use a map to map textures based on scale size, so we only load scale sizes we need,
	and still cache them. Good for multi monitor.

2014-05-06  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Scale the borders

2014-05-06  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Scale the closeable window button as well.
	* TODO Window border, a bit more tricky...

2014-05-05  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Fix reviews issues.

2014-05-02  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Undo changes that aren't part of branch

2014-04-25  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Merge trunk

2014-04-25  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Fixes based on review

2014-04-24  Brandon Schaefer  <brandontschaefer@gmail.com>

	* First stage of Shutdown Dialog HiDPI Support

2014-06-06  Brandon Schaefer  <brandon.schaefer@canonical.com>

	TextInput: move the warning icon inside the input field, render it white Fixes: 1307738

2014-06-05  Brandon Schaefer  <brandon.schaefer@canonical.com>

	* Merge trunk

2014-04-17  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Need the relayout, otherwise the icon is late to show

2014-04-17  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Make caps_lock_on private

2014-04-17  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Move QueueDraw to the changed callback.
	* Remove ToggleCapsLock

2014-04-16  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Move over detectiong caps lock to TextInput.cpp as well.
	* Steal Marcos code that puts the Warning icon into a layout (Thanks!)

2014-04-15  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Use a fallback icon

2014-04-15  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Move the warning icon over the TextInput.
	* This will make adjusting the IMTextEntry width a bit easier (still a TODO)

2014-04-14  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Use the gnome theme to load the warning icon. Looks better, and will scale :)

2014-04-14  Brandon Schaefer  <brandontschaefer@gmail.com>

	* make sure we draw the waring icon above the text entry

2014-06-06  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: Focus and, in case, Spread the windows on DnD
	
	After 1 second that an user is over an icon, that icon should focus the relative
	application and Spread its windows if it has more than one opened.
	
	Correctly handle the DnD scale in launcher, and apply glow to the icon under pointer. Fixes: 607796, 727902, 754580, 839728

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	{Trash,Volume}LauncherIcon: also shimmer on drop-accept

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: glow launcher icons under the dnd if they accept dropping on them

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	AbstractLauncherIcon: add GLOW quirk

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	{Dash,Hud}Controller: use wm signals instead of UBus to hide on VP switch

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: initialize scale_just_activated_ on OnInitiateSpread

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Launcher: don't desaturate the icons when spread is started during DnD
	
	Also make sure we redraw when bg_effect_helper status changes

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: make sure we always set the scale "x_offset" value

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: listen to compiz scale events also for setting scale active/disactive
	
	This will allow to get the scale status also when it doesn't take the grab (like in the DnD case)

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ApplicationLauncherIcon: Focus and, in case, Spread the application windows after some DnD over the icon
	
	After 1 second that an user is over an icon, that icon should focus the relative application and Spread its windows
	if it has more than one opened

2014-06-06  Alfred Neumayer  <dev.beidl@gmail.com>

	Restore the launcher position by reversing the animation and unsetting the DND_PUSHED_OFF quirk. Fixes: 1304882

2014-04-16  Alfred Neumayer  <dev.beidl@gmail.com>

	Remove redundant SetHidden()

2014-04-15  Alfred Neumayer  <dev.beidl@gmail.com>

	Unhide the launcher if it was manually dragged out before DND.

2014-04-15  Alfred Neumayer  <dev.beidl@gmail.com>

	Base change on Trevinhos patch.

2014-04-14  Alfred Neumayer  <dev.beidl@gmail.com>

	The animation shouldn't get reversed twice as that looks odd.

2014-04-14  Alfred Neumayer  <dev.beidl@gmail.com>

	Unset DND_PUSHED_OFF and reverse the animation to make launcher reappear after DND.

2014-05-12  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.10.20140512.4-0ubuntu1

2014-05-12  Stephen M. Webb  <stephen.webb@canonical.com>

	disabled precompiled headers on arm64 Ubuntu package builds Fixes: 1317276

2014-05-12  Stephen M. Webb  <stephen.webb@canonical.com>

	disabled precompiled headers for arm64 arch, it seems to cause random ICEs

2014-05-12  Stephen M. Webb  <stephen.webb@canonical.com>

	lockscreen/LockScreenAccelerators.h: added required header for std:vector definition 

2014-05-12  Stephen M. Webb  <stephen.webb@canonical.com>

	added missing header for std::vector definition

2014-05-12  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Sync with distro upload for 7.2.0+14.04.20140423-0ubuntu2
	- replace autopilot-desktop Depends in unity-autopilot with autopilot-desktop-legacy. 

2014-05-07  Mathieu Trudel-Lapierre  <mathieu-tl@ubuntu.com>

	Sync with distro

2014-05-12  Andrea Azzarone  <azzaronea@gmail.com>

	Add a warning in the session dialog if other sessions are still open. Fixes: 1281058

2014-05-09  Andrea Azzarone  <azzaronea@gmail.com>

	Update string.

2014-05-09  Andrea Azzarone  <azzaronea@gmail.com>

	Merge trunk.

2014-04-17  Andrea Azzarone  <azzaronea@gmail.com>

	Send the changed event.

2014-04-16  Andrea Azzarone  <azzaronea@gmail.com>

	Use a ROProperty.

2014-04-16  Andrea Azzarone  <azzaronea@gmail.com>

	Add an extra /n.

2014-04-11  Andrea Azzarone  <azzaronea@gmail.com>

	Fix string.

2014-04-11  Andrea Azzarone  <azzaronea@gmail.com>

	Remove new line.

2014-04-11  Andrea Azzarone  <azzaronea@gmail.com>

	Add a warning in the session dialog if other sessions are still open.

2014-05-12  Brandon Schaefer  <brandontschaefer@gmail.com>

	Set the max width, so our static text wraps. So we don't end up rendering text out of the view area. Fixes: 1312749

2014-04-25  Jonas Schwabe

	* Set the max width, so the static text wraps (and doesn't go out of the view!)

2014-05-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DebugDBusInterface: match properties if they are in the AP array form [<type>, <value>] Fixes: 1307748

2014-04-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DebugDBusInterface: GetPropertyValue should return a proper value only if we've a valid array
	
	Improve debugging messages and fix leaks.

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DebugDBusInterface: match properties if they are in the AP array form [<type>, <value>]

2014-05-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: make sure we don't try to call an invalid initiate/terminate callback function Fixes: 1221673

2014-04-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PluginAdapter: make sure we don't try to call an invalid initiate/terminate callback function

2014-05-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: don't try to show Dash/Hud if the screen is grabbed
	
	Also move the dash opening out from LauncherController, and get rid of UBus
	as first initialization source, as it can only slow things down here. Fixes: 741869

2014-05-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Mergin with trunk

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/lockscreen-keys-disable

2014-04-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: Get the Hud initialization event if unity is locked

2014-04-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: if the screen is grabbed when showing the Hud, wait for ungrab for a couple of seconds

2014-04-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: don't try to show Dash/Hud if the screen is grabbed
	
	Also move the dash opening out from LauncherController, and get rid of UBus
	as first initialization source, that can only slow things down here.

2014-04-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DashController: return a bool in ShowDash, wait for ungrab for 2 seconds maximum
	
	Now if the screen is grabbed, we just wait a couple of seconds the ungrab-event.
	If that happens in such timeframe then we show the dash, otherwise we ignore the request.
	
	Also return a bool weather we've shown the dash or not.

2014-04-24  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: notify grab also when the screen is not grabbed but we got a NotifyWhileGrabbed event

2014-05-12  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: always paint the lockscreen above, just add menu and onboard as exceptions
	
	Some code cleanup, factorizing similar code. Fixes: 1313280

2014-05-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindow: add just one function that computes if a window can bypass lockscreen

2014-05-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: use a better (and cheaper) way to recognize Onboard window

2014-05-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: always paint the lockscreen above, just add menu and onboard as exceptions

2014-05-12  Jinkyu Yi  <jincreator@jincreator.net>

	Dash: Fix problem at checking blacklisted unicode range Fixes: 1251193

2014-05-04  Jinkyu Yi  <jincreator@jincreator.net>

	Dash: Fix problem at checking blacklisted unicode range. Fixes: 1251193

2014-05-12  William Hua  <william.hua@canonical.com>

	Add proper support for modifier-only shortcuts on the lock screen. Fixes: 1291461

2014-04-30  William Hua  <william.hua@canonical.com>

	Treat Meta modifier as Alt.

2014-04-30  William Hua  <william.hua@canonical.com>

	Minor revisions.

2014-04-29  William Hua  <william.hua@canonical.com>

	Destroy accelerator controller between locks.

2014-04-29  William Hua  <william.hua@canonical.com>

	Remove gotos.

2014-04-18  William Hua  <william.hua@canonical.com>

	Make a separate controller just for accelerators.

2014-04-18  William Hua  <william.hua@canonical.com>

	Rip everything out and start anew.

2014-04-15  William Hua  <william.hua@canonical.com>

	Add proper support for modifier-only shortcuts on the lock screen.

2014-05-02  Marc Deslauriers  <marc.deslauriers@ubuntu.com>

	debian/changelog: sync with distro

2014-05-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: emit an invalid EntryActivated signal if the menu hasn't actually been shown
	
	In addition, if the menu is not visible after the first popup call, try to show a menu
	without keyboard focus. This will make possible to see menus also when there's a key-grab
	(although they will be without keyboard support).
	
	Finally, reset the menu state, if that failed.

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenPanel: if a menu is opened, and the screen is not grabbed, give the grab back to the Shield.

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: cleanup the menu popup code, avoid unnecessary calls to gtk_widget_is_visible

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: if the menu is not visible, try to show a menu without keyboard focus
	
	This will make possible to see menus also when there's a key-grab.

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelService: emit an invalid EntryActivated signal if the menu has not actually been shown
	
	And also reset the menu state, if that failed

2014-05-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: toggle activation of all the unity compiz actions when locking the screen
	
	Also, make sure that the lockscreen views are treated as "always-on-front" windows by nux
	(and this applies to both visibility and events).

2014-04-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	TestSessionController: verify correctly the new Hide method

2014-04-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: set the primary shield as the always on front window when another basewindow hides
	
	That window might have set itself as the always on front window, so we should restore our role

2014-04-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionController: set the dialog as the nux always on front view

2014-04-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionController: delete the views when hidden, we don't need to keep them around

2014-04-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: make sure we reset all the unity views before locking

2014-04-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: also send the terminate action to Alt pressure on lock

2014-04-30  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: toggle all the unity (and thus the Gnome) key bindings when locking

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: don't try to regrab again if we've been just requested to ungrab

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: wait for the next ungrab-event if we can't grab when panel is not active anymore

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: toggle activation of all the unity compiz actions when locking the screen

2014-04-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: set the blank window or the primary shield as the always-on-front window
	
	In this way nux won't draw anything above it, nor will pass events to the underneath windows

2014-04-23  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.04.20140423-0ubuntu1

2014-04-23  Chris Townsend  <christopher.townsend@canonical.com>

	When setting the STARTING quirk for Application Launcher icons, only do it for the monitor specified in the passed in args. Fixes: 1291362

2014-04-21  Chris Townsend  <christopher.townsend@canonical.com>

	When setting the STARTING quirk for Application Launcher icons, only do it for the monitor specified in the passed in args.

2014-04-23  Andrea Azzarone  <azzaronea@gmail.com>

	Close dash/hud/etc. on signal locked too. Fixes: 1308850

2014-04-17  Andrea Azzarone  <azzaronea@gmail.com>

	Use prompt_lock_requested signal.

2014-04-17  Andrea Azzarone  <azzaronea@gmail.com>

	Close dash/hud/etc. on signal locked too.

2014-04-17  Andrea Azzarone  <azzaronea@gmail.com>

	Close dash/hud/etc. on signal locked too.

2014-04-16  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.04.20140416-0ubuntu1

2014-04-16  Andrea Azzarone  <azzaronea@gmail.com>

	Do not allow to activate twice the same entry! Fixes: 1308572

2014-04-16  Andrea Azzarone  <azzaronea@gmail.com>

	Minor change.

2014-04-16  Andrea Azzarone  <azzaronea@gmail.com>

	Fix ident.

2014-04-16  Andrea Azzarone  <azzaronea@gmail.com>

	Do not allow to activate two times the same entry!

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: save a locked.stamp file when locking/unlocking, to relock on startup
	
	This makes unity to relocks if it was locked before crashing... Fixes: 1308572

2014-04-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: Save lock file stamp in $XDG_RUNTIME_DIR, cleanup it on destroy

2014-04-17  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DesktopUtilities: add GetUserRuntimeDirectory to fetch $XDG_RUNTIME_DIR

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: save a locked.stamp file when locking/unlocking, to relock on startup

2014-04-16  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DesktopUtilities: add GetCacheDirectory, to fetch and create an unity cache dir

2014-04-14  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.04.20140414.1-0ubuntu1

2014-04-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	
	CompizUtils: only shadow-decorate alpha windows that have full decorations as well
	
	Since alpha windows might have custom shapes, it's safer not to shadow-decorate them
	unless they don't provide, for sure, a full decoration.
	
	This fixes, between the others, the unity force-quit dialog. Fixes: 1281825, 1307524

2014-04-14  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	CompizUtils: only shadow-decorate alpha windows that have full decorations as well
	
	Since alpha windows might have custom shapes, it's safer not to shadow-decorate them
	unless they don't provide, for sure, a full decoration.
	
	This fixes, between the others, the unity force-quit dialog.

2014-04-14  Sami Jaktholm  <sjakthol@outlook.com>

	Scale: Correctly detect the activation of a scale and set scale_just_activated_
	to true properly. Fixes: 1288789

2014-04-11  Sami Jaktholm  <sjakthol@outlook.com>

	Scale: Correctly detect the activation of a scale and set scale_just_activated_
	to true properly.

2014-04-14  Alfred Neumayer  <dev.beidl@gmail.com>

	Security issue: Gestures on the lock screen allow to peek inside running applications.
	As with keyboard input, gestures should be blocked while the screen is locked. Fixes: 1303041, 1306973

2014-04-14  Alfred Neumayer  <dev.beidl@gmail.com>

	Stop hiding the launchers parent window for now as it breaks urgent icon wiggling and hint shadow.

2014-04-13  Alfred Neumayer  <dev.beidl@gmail.com>

	Don't queue up drawing if the gestures are ignored.

2014-04-12  Alfred Neumayer  <dev.beidl@gmail.com>

	Make the lockscreen_controller accessible to other classes and don't allow 4 finger gestures in the lock screen.

2014-04-12  Alfred Neumayer  <dev.beidl@gmail.com>

	Should not even try to show the switcher if the screen is locked.

2014-04-12  Alfred Neumayer  <dev.beidl@gmail.com>

	Forgot a variable

2014-04-12  Alfred Neumayer  <dev.beidl@gmail.com>

	Also, don't hide the launcher window if expo or scale are active.

2014-04-12  Alfred Neumayer  <dev.beidl@gmail.com>

	Really shouldn't hide the launcher window if the dash is open.

2014-04-11  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.04.20140411-0ubuntu1

2014-04-11  Sami Jaktholm  <sjakthol@outlook.com>

	Lockscreen: Give proper grabs to the shield before releasing blank_window_. Fixes: 1306417

2014-04-11  Sami Jaktholm  <sjakthol@outlook.com>

	Lockscreen: Give proper grabs to the shield before releasing blank_window_.

2014-04-10  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.04.20140410.1-0ubuntu1

2014-04-10  William Hua  <william.hua@canonical.com>

	Enable sound buttons and input source switching under lock screen. 

2014-04-11  William Hua  <william.hua@canonical.com>

	Clean up.

2014-04-11  William Hua  <william.hua@canonical.com>

	Fix merge errors.

2014-04-11  William Hua  <william.hua@canonical.com>

	Minor changes.

2014-04-11  William Hua  <william.hua@canonical.com>

	Merge trunk.

2014-04-11  William Hua  <william.hua@canonical.com>

	Enable sound and input source shortcuts on lock screen.

2014-04-10  CI bot  <ps-jenkins@lists.canonical.com>

	LockScreen: add ability to show without fading in on some system calls
	
	Also, if locking is not enabled, calling Lock causes the screensaver to be initiated.
	Many cleanups and misc fixes. Fixes: 1292575, 1305194

2014-04-10  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	It fixes the quicklist menu appearance. Fixes: 1298859

2014-04-09  Eleni Maria Stea  <elenimaria.stea@canonical.com>

	fixed quicklist scaling

2014-04-10  Brandon Schaefer  <brandontschaefer@gmail.com>

	When we detect caps lock, or caps lock is pressed, render a warning icon to show its on. Fixes: 1291737

2014-04-09  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Make sure we update the caps lock detector when we change primary sheilds

2014-04-01  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Get rid of magic numbers, have to get the width of the cached
	spin icon width, so we can place the warning icon in the right spot

2014-04-01  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Check if caps is on each time we make a new Prompt, as it can change
	when authenticating, and we need to know.

2014-04-01  Brandon Schaefer  <brandontschaefer@gmail.com>

	* Detect if caps lock is on, and check if caps lock is pressed.
	If so, then render a warning icon.

2014-04-10  Alfred Neumayer  <dev.beidl@gmail.com>

	If the dash has not been opened before, a 4 finger tap will result in a dash with no selected scope.
	Instead, set up the window and view of the dash by sending DASH_ABOUT_TO_SHOW (same happens when hovering the mouse pointer over the BFB icon)
	and open the home scope. Fixes: 1303468

2014-04-10  Alfred Neumayer  <dev.beidl@gmail.com>

	UnityGestureTarget.cpp: Remove spaces

2014-04-10  Alfred Neumayer  <dev.beidl@gmail.com>

	4 finger tap: Set up the dash window and its view, show the home scope afterwards.

2014-04-10  Alfred Neumayer  <dev.beidl@gmail.com>

	Launcher: Show and hide the launcher window OnDragUpdate() to fix the gesture animations Fixes: 1303141

2014-04-10  Alfred Neumayer  <dev.beidl@gmail.com>

	Only hide/unhide launcher window if autohide mode is on.

2014-04-10  Alfred Neumayer  <dev.beidl@gmail.com>

	Actually, Hide/Un-Hide launcher window in OnDragUpdate.

2014-04-10  Alfred Neumayer  <dev.beidl@gmail.com>

	Un-hide launcher window when dragging out using 4 finger gesture: https://bugs.launchpad.net/unity/+bug/1303141

2014-04-10  Alfred Neumayer  <dev.beidl@gmail.com>

	Alt-Tab has always respected the alt-tab-bias-viewport setting, but the 3-finger gesture to switch between windows has not, even though it does the same thing.
	They should behave the same way depending on the CCSM setting. Fixes: 1303060

2014-04-07  Alfred Neumayer  <dev.beidl@gmail.com>

	Make 3 finger window switch gesture respect the alt-tab-bias-viewport setting by moving the check to SetUpAndShowSwitcher.

2014-04-10  Sami Jaktholm  <sjakthol@outlook.com>

	Shortcuts: Listen and react to view close requests. Fixes: 1297842

2014-04-05  Sami Jaktholm  <sjakthol@outlook.com>

	Shortcuts: Listen and react to view close requests.

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsGrabEdge, PanelMenuView: perform proper WM action on clicks, based on user settings Fixes: 1283849

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	PanelMenuView: use generic actions based on WM settings for double,middle and right clicks

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowManager: add methods to {Horizontally,Vertically}Maximize a window

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	WindowManager: add window shading methods

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsGrabEdge: perform proper WM action on clicks, based on user settings

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationStyle: add WindowManagerAction to get WM click options

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~3v1n0/unity/right-left-click-maximize-fix

2014-04-10  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.04.20140410-0ubuntu1

2014-04-10  CI bot  <ps-jenkins@lists.canonical.com>

	Session: Don't lock the screen if screen locking is disabled by
	org.gnome.desktop.lockdown disable-lock-screen. Fixes: 1292154

2014-04-10  CI bot  <ps-jenkins@lists.canonical.com>

	ScreenSaverDBusManager: start/stop gnome-screensaver if we don't/do handle the locking
	
	This allows to just use the fallback gnome-screensaver lockscreen if we need to use it. Fixes: 1303712

2014-04-10  CI bot  <ps-jenkins@lists.canonical.com>

	GnomeSessionManager: impelement gnome session dbus interface and a fader to blank the screen Fixes: 1291088, 1292041, 1292078, 1292446, 1292451

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreen: add ability to show without fading in on some system calls
	
	Also, if locking is not enabled, calling Lock causes the screensaver to be initiated.
	Many cleanups and misc fixes. Fixes: 1292575, 1305194

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: fire screensaver_post_lock_timeout_ when the view is fully visible

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeSessionManager: if it's impossible to lock a session, start the screensaver on lock
	
	This is what most of apps expect, and thus we do that. Although it's not really that coherent.

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionManager: add ScreenSaver{Activate,Deactivate} and relevant signals and export them
	
	Update LockScreenController and dbus apis to match this

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: remove some racy code, avoid to emit multiple signals
	
	And fix pre-lock blank window

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: increase the lockscreen timeout wait to be bigger to a frame duration

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionDBusManager: export PromptLock method on the dbus

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	BackgroundSettings: don't create new panel style instances, use the actual instance

2014-04-10  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScreenSaverDBusManager: get rid of the old active_ bool variable, that caused undefined behavior

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: even more cleanup, move blank window grabbing to own function

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityWindow: we need to paint also the decorations of the windows, when in lock-mode
	
	Othewise their texture won't be rebuilt and this will lead to wrong textures.
	Also, we don't need to damage the screen when lock opacity changes as it's done by nux.

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: also hide BlankWindow on mouse and keyboard down events

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: show a blank window unless we don't have the lockscreen ready on prompt requests

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionDBusManager: add support for "PromptLock"

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeSessionManager: use prompt lockscreen on logind lock requests

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: add support to PromptLockScreen

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	SessionManager: add PromptLockScreen method and signal, to require a fast lock (with no fading)

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~sjakthol/unity/fix-1292154

2014-04-06  Sami Jaktholm  <sjakthol@outlook.com>

	Don't cache the value and watch for changes. Check the setting every time instead.

2014-04-06  Sami Jaktholm  <sjakthol@outlook.com>

	Session: Don't lock the screen if screen locking is disabled by
	org.gnome.desktop.lockdown disable-lock-screen.

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with parent

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: make sure whe hide the blank window on unlock

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with lp:~laney/unity/g-s-replace
	
	Remves the ugly killall

2014-04-09  Iain Lane  <iain@orangesquash.org.uk>

	Take over as the owner of the gnome-screensaver interface, if necessary.

2014-04-09  Iain Lane  <iain@orangesquash.org.uk>

	Allow skipping of the tests with DEB_BUILD_OPTIONS=nocheck

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with parent branch

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: add ShowBlankWindow method

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityShell: ops, remove wrong change

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with parent branch

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: start the screensaver after few seconds that the user has locked his session, if there's no more interaction

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenShield: emit a signal when we receive a keyboard input

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: immediately start the screensaver on SetActive dbus call

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScreenSaverDBusManager: add request_activate signal that is emitted on remote activation request

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: some cleanup, and HideBlankWindow on simulate user activity

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: keep track of dbus_manager and reset screensaver on simulate-user activity

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScreenSaverDBusManager: implement SimulateUserActivity

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScreenSaverDBusManager: use a nux property for active state

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: don't animate when locking the screen on suspend or screensaver

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: we can lock the screen if the GS setting is disabled
	
	Also rename the setting to be more understandable

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with parent branch

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: always call LockScreen of SessionManager as it has some checks

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	UnityScreen: damage the screen when the lockscreen opacity changes

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: use a ROProperty for opacity

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: only try to lock if locking is enabled

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: use timeout seconds for lock delay

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: only use one window to blank the screen, it's not needed to have one per monitor

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: move OnPresenceStatusChanged into a function

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: lock the screen on suspend if ubuntu is configured to do so

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Uscreen: emit suspending signal on PrepareForSleep

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: use direction to set the animation value

2014-04-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ExternalGschema: add missing external settings

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenSettings: also use legacy lockscreen if screen reader is enabled

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScreenSaverDBusManager: add some comments

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScreenSaverDBusManager: use async calls

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenController: call gnome-screensaver to lock the screen if we use a legacy lockscreen

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ScreenSaverDBusManager: start/stop gnome-screensaver if we don't/do handle the locking

2014-04-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	LockScreenSettings: add use_fallback option, that is on if OSK is active
	
	This is to workaround on screen keyboard issues

2014-04-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Add GS schemas to external list

2014-04-07  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	GnomeSessionManager: use enum class PresenceStatus instead of magic numbers

2014-04-07  Andrea Azzarone  <azzaronea@gmail.com>

	Merge trunk.

2014-04-07  Andrea Azzarone  <azzaronea@gmail.com>

	Remove magic numbers.

2014-04-07  Andrea Azzarone  <azzaronea@gmail.com>

	Do not implement SimulateUserActivity.

2014-04-07  Andrea Azzarone  <azzaronea@gmail.com>

	Update tests.

2014-04-07  Andrea Azzarone  <azzaronea@gmail.com>

	Start cleaning lockscreen code.

2014-04-06  Andrea Azzarone  <azzaronea@gmail.com>

	Fix. Code style is still WIP.

2014-04-04  Andrea Azzarone  <azzaronea@gmail.com>

	Lock the screen after a delay.

2014-04-02  Andrea Azzarone  <azzaronea@gmail.com>

	Add the first settings.

2014-04-02  Andrea Azzarone  <azzaronea@gmail.com>

	Initial commit to implement g-s dbus interface in unity.

2014-04-04  CI bot  <ps-jenkins@lists.canonical.com>

	Releasing 7.2.0+14.04.20140404-0ubuntu1

2014-04-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ForceQuitDialog: add a new "sheet style" dialog that is shown when a window hangs
	
	Listen to compiz toolkit events and prompt a dialog that allows to force-quit an
	hanging application. Fixes: 698031, 1299061, 1299080

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ForceQuitDialog: make sure that the dialog is not deletable by WM
	
	For this to be safe we need also to ignore the delete events

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	POTFILES: include DecorationsForceQuitDialog.cpp

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: let's do one line things!

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ForceQuitDialog: make sure we hide the dialog before we killed the parent window
	
	It must be hidden before than the parent, in case the window is not really killed,
	it will be shown anyway later.

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ForceQuitDialog: avoid warnings on close, due to finalized close button

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: emit close_request signal on close and "Wait" button

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: add close_request signal and destroy window when it  gets called

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecoratedWindow: add missing call to UpdateForceQuitDialogPosition
	
	Maybe it was removed due to a shelved change...

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: implement actual window killing by using both XKillClient and kill -9
	
	Yeah, now

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: use proper class names (mostly for theming)

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: use themed button textures

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsForceQuitDialog: set the dialog pid/hostname to match the ones of the parent window
	
	In this way we don't confuse BAMF about the ownership of the dialog.

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ForceQuitDialog: use the same window class of the real parent window

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	ForceQuitDialog: keep the dialog centered on parent window when its geometry changes

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	DecorationsManager.cpp: show a forcequit dialog when we get a toolkitActionForceQuitDialog ClientMessage
	
	These events are triggered directly by compiz, so we only have to catch them!

2014-04-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

